#
# spec file for package poppler-qt
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define build_qt 1
%define build_qt5 0

Name:           poppler-qt
%define _name   poppler
Version:        0.43.0
Release:        8.1
# Actual version of poppler-data:
%define poppler_data_version 0.4.6
%define poppler_soname 60
%define poppler_cpp_soname 0
%define poppler_glib_soname 8
%define poppler_qt4_soname 4
%define poppler_qt5_soname 1
%define poppler_api 0.18
%define poppler_apipkg 0_18
Url:            http://poppler.freedesktop.org/
Summary:        PDF Rendering Library
License:        GPL-2.0-only OR GPL-3.0-only
Group:          System/Libraries
Source:         http://poppler.freedesktop.org/%{_name}-%{version}.tar.xz
Source99:       baselibs.conf
Patch1:         0001-pdfunite-Fix-crash-with-broken-documents.patch
Patch2:         0001-Fix-memory-leak-and-probably-logic-bug-parsing-broke.patch
Patch3:         0001-Fix-memory-leak-when-reconstructing-broken-files.patch
Patch4:         CVE-2017-9775.patch
Patch5:         CVE-2017-9776.patch
Patch6:         CVE-2017-7515.patch
Patch7:         CVE-2017-14517.patch
Patch8:         CVE-2017-14518.patch
Patch9:         CVE-2017-14520.patch
Patch10:        CVE-2017-9865.patch
Patch11:        CVE-2017-14617.patch
Patch12:        CVE-2017-14928.patch
Patch13:        CVE-2017-14975.patch
Patch14:        CVE-2017-14976.patch
Patch15:        CVE-2017-14977.patch
Patch16:        CVE-2017-15565.patch
Patch17:        CVE-2017-1000456.patch
Patch18:        0001-Check-for-XRefEntry-existing-before-using-it.patch
Patch19:        0001-Fix-crash-in-malformed-document.patch
BuildRequires:  gcc-c++
BuildRequires:  gobject-introspection-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
%if %build_qt
BuildRequires:  libqt4-devel >= 4.7.0
%endif
%if %build_qt5
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
%endif
%if 0%{?suse_version} > 1310
BuildRequires:  pkgconfig(libopenjp2)
%else
BuildRequires:  openjpeg-devel
%endif
BuildRequires:  update-desktop-files
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig(cairo) >= 1.10.0
BuildRequires:  pkgconfig(cairo-ft) >= 1.10.0
BuildRequires:  pkgconfig(cairo-pdf)
BuildRequires:  pkgconfig(cairo-ps)
BuildRequires:  pkgconfig(cairo-svg)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gobject-2.0) >= 2.18
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(nss)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Poppler is a PDF rendering library, forked from the xpdf PDF viewer
developed by Derek Noonburg of Glyph and Cog, LLC.

%package -n libpoppler%{poppler_soname}
Summary:        PDF Rendering Library
Group:          System/Libraries
Recommends:     poppler-data >= %{poppler_data_version}
# Last appeared in OpenSUSE 10.3:
Provides:       poppler = %{version}
Obsoletes:      poppler < %{version}

%description -n libpoppler%{poppler_soname}
Poppler is a PDF rendering library, forked from the xpdf PDF viewer
developed by Derek Noonburg of Glyph and Cog, LLC.

%package -n libpoppler-cpp%{poppler_cpp_soname}
Summary:        PDF Rendering Library
Group:          System/Libraries

%description -n libpoppler-cpp%{poppler_cpp_soname}
Poppler is a PDF rendering library, forked from the xpdf PDF viewer
developed by Derek Noonburg of Glyph and Cog, LLC.

%package -n libpoppler-glib%{poppler_glib_soname}
Summary:        PDF Rendering Library - GLib Wrapper
Group:          System/Libraries
Requires:       libpoppler%{poppler_soname} >= %{version}
# Last appeared in OpenSUSE 10.3:
Provides:       poppler-glib = %{version}
Obsoletes:      poppler-glib < %{version}

%description -n libpoppler-glib%{poppler_glib_soname}
Poppler is a PDF rendering library, forked from the xpdf PDF viewer
developed by Derek Noonburg of Glyph and Cog, LLC.

%package -n typelib-1_0-Poppler-%{poppler_apipkg}
Summary:        PDF Rendering Library - Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-Poppler-%{poppler_apipkg}
Poppler is a PDF rendering library, forked from the xpdf PDF viewer
developed by Derek Noonburg of Glyph and Cog, LLC.

This package provides the GObject Introspection bindings for Poppler.

%if %build_qt

%package -n libpoppler-qt4-%{poppler_qt4_soname}
Summary:        PDF Rendering Library - Qt4 Wrapper
Group:          System/Libraries
Requires:       libpoppler%{poppler_soname} >= %{version}
# Last appeared in OpenSUSE 10.3:
Provides:       poppler-qt4 = %{version}
Obsoletes:      poppler-qt4 < %{version}

%description -n libpoppler-qt4-%{poppler_qt4_soname}
Poppler is a PDF rendering library, forked from the xpdf PDF viewer
developed by Derek Noonburg of Glyph and Cog, LLC.
%endif

%if %build_qt5

%package -n libpoppler-qt5-%{poppler_qt5_soname}
Summary:        PDF Rendering Library - Qt5 Wrapper
Group:          System/Libraries
Requires:       libpoppler%{poppler_soname} >= %{version}

%description -n libpoppler-qt5-%{poppler_qt5_soname}
Poppler is a PDF rendering library, forked from the xpdf PDF viewer
developed by Derek Noonburg of Glyph and Cog, LLC.
%endif

%package tools
Summary:        PDF Rendering Library Tools
Group:          Productivity/Publishing/PDF
Requires:       libpoppler%{poppler_soname} >= %{version}
# last version in openSUSE 11.1/SLE11
Provides:       xpdf-tools = 3.02
Obsoletes:      xpdf-tools < 3.02
Provides:       pdftools_any

%description tools
Poppler is a PDF rendering library, forked from the xpdf PDF viewer
developed by Derek Noonburg of Glyph and Cog, LLC.

%package -n libpoppler-devel
Summary:        PDF rendering library
Group:          Development/Libraries/C and C++
Requires:       libpoppler%{poppler_soname} = %{version}
Requires:       libpoppler-cpp%{poppler_cpp_soname} = %{version}
Requires:       libstdc++-devel
# Last appeared in OpenSUSE 10.3:
Provides:       poppler-devel = %{version}
Obsoletes:      poppler-devel < %{version}

%description -n libpoppler-devel
Poppler is a PDF rendering library, forked from the xpdf PDF viewer
developed by Derek Noonburg of Glyph and Cog, LLC.

%package -n libpoppler-glib-devel
Summary:        PDF rendering library - GLib Wrapper
Group:          Development/Libraries/C and C++
Requires:       libpoppler-glib%{poppler_glib_soname} = %{version}
Requires:       typelib-1_0-Poppler-%{poppler_apipkg} = %{version}
# Last appeared in OpenSUSE 10.3:
Provides:       poppler-devel:%{_libdir}/libpoppler-glib.so
# Last appeared in 11.4
Provides:       libpoppler-doc = %{version}
Obsoletes:      libpoppler-doc < %{version}
# Last appeared in OpenSUSE 10.3:
Provides:       poppler-doc = %{version}
Obsoletes:      poppler-doc < %{version}

%description -n libpoppler-glib-devel
Poppler is a PDF rendering library, forked from the xpdf PDF viewer
developed by Derek Noonburg of Glyph and Cog, LLC.

%if %build_qt

%package -n libpoppler-qt4-devel
Summary:        PDF rendering library - Qt4 Wrapper
Group:          Development/Libraries/C and C++
Requires:       libpoppler-devel = %{version}
Requires:       libpoppler-qt4-%{poppler_qt4_soname} = %{version}
Requires:       libqt4-devel
# Last appeared in OpenSUSE 10.3:
Provides:       poppler-devel:%{_libdir}/libpoppler-qt4.so

%description -n libpoppler-qt4-devel
Poppler is a PDF rendering library, forked from the xpdf PDF viewer
developed by Derek Noonburg of Glyph and Cog, LLC.
%endif

%if %build_qt5

%package -n libpoppler-qt5-devel
Summary:        PDF rendering library - Qt5 Wrapper
Group:          Development/Libraries/C and C++
Requires:       libpoppler-devel = %{version}
Requires:       libpoppler-qt5-%{poppler_qt5_soname} = %{version}
Requires:       pkgconfig(Qt5Core)
Requires:       pkgconfig(Qt5Gui)
Requires:       pkgconfig(Qt5Widgets)
Requires:       pkgconfig(Qt5Xml)

%description -n libpoppler-qt5-devel
Poppler is a PDF rendering library, forked from the xpdf PDF viewer
developed by Derek Noonburg of Glyph and Cog, LLC.
%endif

%prep
%setup -q -n poppler-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1

%build
%if %build_qt5
export MOCQT5='%{_libqt5_bindir}/moc'
export MOCQT52='%{_libqt5_bindir}/moc'
%endif
%configure\
	--enable-xpdf-headers\
	--disable-static\
	--enable-shared\
	--enable-zlib \
	--enable-libcurl \
%if %build_qt5
	--enable-poppler-qt5 \
	--disable-poppler-qt4 \
	--disable-poppler-glib \
	--disable-poppler-cpp \
%endif
%if %build_qt
	--enable-poppler-qt4 \
	--disable-poppler-qt5 \
	--disable-poppler-glib \
	--disable-poppler-cpp \
%endif
	--disable-gtk-test
make %{?_smp_mflags}

%install
%makeinstall
rm %{buildroot}%{_libdir}/*.la
%if %build_qt || %build_qt5
cd %{buildroot} && find . -type f -o -type l | grep -v qt | xargs rm -v
%endif

echo > %SOURCE99
%if %build_qt
echo "libpoppler-qt4-%{poppler_qt4_soname}" >> %SOURCE99
%else
%if %build_qt5
echo "libpoppler-qt5-%{poppler_qt5_soname}" >> %SOURCE99
%else
echo "libpoppler%{poppler_soname}" >> %SOURCE99
echo "libpoppler-glib%{poppler_glib_soname}" >> %SOURCE99
echo "libpoppler-cpp%{poppler_cpp_soname}" >> %SOURCE99
%endif
%endif

%post -n libpoppler%{poppler_soname} -p /sbin/ldconfig

%post -n libpoppler-glib%{poppler_glib_soname} -p /sbin/ldconfig

%if %build_qt

%post -n libpoppler-qt4-%{poppler_qt4_soname} -p /sbin/ldconfig
%endif

%if %build_qt5

%post -n libpoppler-qt5-%{poppler_qt5_soname} -p /sbin/ldconfig
%endif

%postun -n libpoppler%{poppler_soname} -p /sbin/ldconfig

%postun -n libpoppler-glib%{poppler_glib_soname} -p /sbin/ldconfig

%post -n libpoppler-cpp%{poppler_cpp_soname} -p /sbin/ldconfig

%postun -n libpoppler-cpp%{poppler_cpp_soname} -p /sbin/ldconfig

%if %build_qt

%postun -n libpoppler-qt4-%{poppler_qt4_soname} -p /sbin/ldconfig
%endif

%if %build_qt5

%postun -n libpoppler-qt5-%{poppler_qt5_soname} -p /sbin/ldconfig
%endif

%if %build_qt

%files -n libpoppler-qt4-%{poppler_qt4_soname}
%defattr (-, root, root)
%{_libdir}/libpoppler-qt4.so.%{poppler_qt4_soname}*

%files -n libpoppler-qt4-devel
%defattr (-, root, root)
%dir %{_includedir}/poppler
%{_includedir}/poppler/qt4
%{_libdir}/libpoppler-qt4.so
%{_libdir}/pkgconfig/poppler-qt4.pc

%else
%if %build_qt5

%files -n libpoppler-qt5-%{poppler_qt5_soname}
%defattr (-, root, root)
%{_libdir}/libpoppler-qt5.so.%{poppler_qt5_soname}*

%files -n libpoppler-qt5-devel
%defattr (-, root, root)
%dir %{_includedir}/poppler
%{_includedir}/poppler/qt5
%{_libdir}/libpoppler-qt5.so
%{_libdir}/pkgconfig/poppler-qt5.pc

%else

%files -n libpoppler%{poppler_soname}
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README README-XPDF TODO
%{_libdir}/libpoppler.so.%{poppler_soname}*

%files -n libpoppler-glib%{poppler_glib_soname}
%defattr (-, root, root)
%{_libdir}/libpoppler-glib.so.%{poppler_glib_soname}*

%files -n typelib-1_0-Poppler-%{poppler_apipkg}
%defattr (-, root, root)
%{_libdir}/girepository-1.0/Poppler-%{poppler_api}.typelib

%files tools
%defattr (-, root, root)
%doc COPYING
%{_bindir}/*
%doc %{_mandir}/man1/*.*

%files -n libpoppler-cpp%{poppler_cpp_soname}
%defattr(-, root, root)
%{_libdir}/libpoppler-cpp.so.%{poppler_cpp_soname}*

%files -n libpoppler-devel
%defattr (-, root, root)
%{_includedir}/poppler
%exclude %{_includedir}/poppler/glib
%{_libdir}/libpoppler.so
%{_libdir}/libpoppler-cpp.so
%{_libdir}/pkgconfig/poppler.pc
%{_libdir}/pkgconfig/poppler-cairo.pc
%{_libdir}/pkgconfig/poppler-cpp.pc
%{_libdir}/pkgconfig/poppler-splash.pc

%files -n libpoppler-glib-devel
%defattr (-, root, root)
%{_includedir}/poppler/glib
%{_libdir}/libpoppler-glib.so
%{_libdir}/pkgconfig/poppler-glib.pc
%{_datadir}/gir-1.0/Poppler-%{poppler_api}.gir
%doc %{_datadir}/gtk-doc/html/poppler/

%endif
%endif

%changelog
* Wed Jun  6 2018 psimons@suse.com
- Apply 0001-Fix-crash-in-malformed-document.patch from upstream to
  fix a division-by-zero exception in the ImageStream object
  constructor. This issue is triggered by the same exploit as
  CVE-2017-14617. [bsc#1060220]
- Apply 0001-Check-for-XRefEntry-existing-before-using-it.patch
  from upstream to fix a segmentation fault in the Hints object
  constructor. This issue is triggered by the same exploit as
  CVE-2017-14517. [bsc#1059066]
- Apply CVE-2017-1000456.patch from upstream to fix an issue where
  TextPool::addWord() failed to validate the integer boundaries,
  leading to overflow errors in subsequent calculations.
  [CVE-2017-1000456, bsc#1074453].
- Apply CVE-2017-15565.patch from upstream to fix a NULL pointer
  dereference vulnerability in the GfxImageColorMap::getGrayLine()
  function via a crafted PDF document. [CVE-2017-15565,
  bsc#1064593]
- Update license attribute to conform to the latest SPDX version.
* Fri Oct 20 2017 psimons@suse.com
- Apply CVE-2017-14617.patch from upstream to fix a floating point
  exception in Stream.cc, which may lead to a potential attack when
  handling malicious PDF files. [CVE-2017-14617, bsc#1060220]
- Apply CVE-2017-14928.patch from upstream to fix a NULL Pointer
  dereference in AnnotRichMedia::Configuration::Configuration() in
  Annot.cc, which may lead to a potential attack when handling
  malicious PDF files. [CVE-2017-14928, bsc#1061092]
- Apply CVE-2017-14975.patch from upstream to fix a NULL pointer
  dereference vulnerability, that existed because a data structure
  in FoFiType1C.cc was not initialized, which allowed an attacker
  to launch a denial of service attack. [CVE-2017-14975,
  bsc#1061263]
- Apply CVE-2017-14976.patch from upstream to fix a heap-based
  buffer over-read vulnerability in FoFiType1C.cc that occurred
  when an out-of-bounds font dictionary index was encountered,
  which allowed an attacker to launch a denial of service attack.
  [CVE-2017-14976, bsc#1061264]
- Apply CVE-2017-14977.patch from upstream to fix a NULL pointer
  dereference vulnerability in the FoFiTrueType::getCFFBlock()
  function in FoFiTrueType.cc that occurred due to lack of
  validation of a table pointer, which allows an attacker to launch
  a denial of service attack. [CVE-2017-14977, bsc#1061265]
* Mon Oct  9 2017 psimons@suse.com
- Apply CVE-2017-9865.patch from upstream to fix a stack-based
  buffer overflow vulnerability in GfxState.cc that would have
  allowed attackers to facilitate a denial-of-service attack via
  specially crafted PDF documents. [CVE-2017-9865, bsc#1045939]
- Apply CVE-2017-14517.patch from upstream to fix a NULL pointer
  dereference in the XRef::parseEntry() function that may have lead
  to a potential denial-of-service attack when handling malicious
  PDF files. [CVE-2017-14517, bsc#1059066]
- Apply CVE-2017-14518.patch to remedy a floating point exception
  in isImageInterpolationRequired() that could have been exploited
  using a specially crafted PDF document. [CVE-2017-14518,
  bsc#1059101]
- Apply CVE-2017-14520.patch to remedy a floating point exception
  in Splash::scaleImageYuXd() that could have been exploited using
  a specially crafted PDF document. [CVE-2017-14520, bsc#1059155]
* Wed Jul 19 2017 psimons@suse.com
- Apply CVE-2017-9775.patch from upstream to fix a stack overflow
  bug in pdftocairo that could have been exploited in a denial of
  service attack through a specially crafted PDF document.
  [bsc#1045719, CVE-2017-9775]
- Apply CVE-2017-9776.patch from upstream to fix an integer
  overflow bug that could have been exploited in a denial of
  service attack through a specially crafted PDF document.
  [bsc#1045721, CVE-2017-9776]
- Apply CVE-2017-7515.patch to fix a memory leak that occurred when
  the parser tried to recover from a broken input file.
  [bsc#1043088, CVE-2017-7515]
* Fri Jun  9 2017 psimons@suse.com
- Apply 0001-pdfunite-Fix-crash-with-broken-documents.patch from
  upstream to fix crashes in pdfunite when encountering invalid PDF
  files. [bsc#1041783, CVE-2017-7511]
- Apply 0001-Fix-memory-leak-and-probably-logic-bug-parsing-broke.patch
  from upstream to fix a memory leak that occurred while parsing
  invalid XRef attributes [bsc#1042803, CVE-2017-9406].
- Apply 0001-Fix-memory-leak-when-reconstructing-broken-files.patch
  from upstream to fix a memory leak that occurred when the parser
  tried to recover from a broken input file. [bsc#1042802,
  CVE-2017-9408]
* Fri May 20 2016 alarrosa@suse.com
- Update to GNOME 3.20.2 (Fate#318572)
* Mon May  2 2016 zaitor@opensuse.org
- Update to version 0.43.0:
  + core:
  - Implement sanity check for linearization usage (fdo#92482).
  - Add SymbolMT as an alias for the Symbol font (fdo#93168).
  - Fix some blank files (fdo#94756).
  - cairo:
    . Fix fillToStrokePathClip crash and rendering (fdo#62905).
    . Check if PDF knows the width of 'm' in case of substituted
    font (fdo#94054).
    . Save mask state and don't extend image mask (fdo#94234).
  - SplashOuputDev: Compile with C++11 compilers that don't
    define isinfinite (fdo#94761).
  - Typo fixes.
  + utils: pdftocairo: Calculate rotation before scaling
    (fdo#94655).
  + qt4: Fix crash on certain PDF form item activation actions
    (fdo#94873).
  + qt5: Fix crash on certain PDF form item activation actions
    (fdo#94873).
- Drop poppler-Fix-rendering-of-broken-pdfs.patch, fixed upstream.
- Bump soname following upstream changes.
* Fri Apr 15 2016 hpj@suse.com
- Update to GNOME 3.20 -- Fate#318572.
- Drop poppler-annot-form-transparent-color.patch,
  poppler-configure-moc-version.patch,
  poppler-ligatures.patch: Fixed upstream.
* Tue Apr  5 2016 zaitor@opensuse.org
- Add poppler-Fix-rendering-of-broken-pdfs.patch: Fix pdf rendering
  commit (boo#973888 bgo#764641 fdo#94830).
* Fri Mar 18 2016 zaitor@opensuse.org
- Update to version 0.42.0:
  + core:
  - Add the support for version 5 + revision 6 documents
    (fdo#85368).
  - Add initial support for Signature handling.
  - Initialize gamut mapping multipliers in ::copy() functions
    (fdo#90697).
  - Implement jpx streams support with depth < 8.
  - Handle SMaskInData = 0 for JPX encoded images (fdo#93468).
  - Fix rendering of some broken PDF files (fdo#92508).
  - PSOutputDev:
    . Support for LZW encoding.
    . Add support for Flate compression in Level 3 output.
  - SplashOuputDev:
    . Implement function shading (fdo#94441).
    . Improve rendering of some non embedded fonts (fdo#94054).
    . Fall back to Gfx implementation of tiling pattern if
    repetition rate is small (fdo#90596).
    . Implementation of Matte entries in softmasks of
    softmasked images (fdo#22473).
    . Assure line width > 0 in case of text stroke (fdo#94038).
  - TextOuputDev: Cache result of inner loop in visitDepthFirst
    (fdo#77087).
  - Avoid attempting a tiling pattern fill with a singular
    transform matrix.
  + utils:
  - pdfinfo: Add option to show document structure
  - pdfsig: New command that gives information about signature
  + qt4: Fix bug in links to remote documents getting the page
    number wrong sometimes.
  + qt5: Fix bug in links to remote documents getting the page
    number wrong sometimes.
- Add pkgconfig(nss) BuildRequires: Build nss support.
- Bump soname following upstream changes.
* Thu Feb 18 2016 zaitor@opensuse.org
- Update to version 0.41.0:
  + core:
  - CairoOutputDev: add missing font types (fontCIDType0COT and
    fontTrueTypeOT) (fdo#93559).
  - SplashOutputDev: Adjust limit check and check in addition
    bitmap pointer (fdo#94053).
  + utils:
  - pdfseparate: Refine resource detection.
  - pdfinfo: fix man page.
* Fri Jan 15 2016 zaitor@opensuse.org
- Update to version 0.40.0:
  + core:
  - CairoOutputDev: Use shape mask with soft mask (fdo#91931).
  - TextOutputDev:
    . Handle right-to-left text in search
    . Fix finding Arabic Presentation Forms ligatures.
  - Fix crash in invalid file (fdo#93476).
  - Regression test improvements.
  + utils:
  - pdftocairo:
    . Fix writing to stdout out with image output.
    . Document that -singlefile appends file type (fdo#86254).
    . Ensure surface flushed before accessing image data.
    . Check for invalid use of options (fdo#92195).
  - pdfunite: Fix typo in manual.
  + build system: Improve cmake build system.
* Fri Dec 18 2015 zaitor@opensuse.org
- Update to version 0.39.0:
  + core:
  - Ignore the alternateSpace and tintTransform (fdo#92381).
  - CairoOutputDev:
    . Scale radial pattern (fdo#22098).
    . Implement function shading using mesh gradients
    (fdo#88394).
  - Regression test improvements.
  - Fix typos in error messages.
  + build system: Visual Studio 2015 now supports snprintf
    (fdo#93116).
  + utils:
  - pdftops: fix %%%%PageBoundingBox (fdo#87161).
  - pdftocairo: Fix double free when both user and owner
    passwords are given.
  + glib:
  - Add duration_real to PopplerPageTransition (fdo#92040).
  - Remove enum PopplerOrientation from API (fdo#93229).
  - Documentation improvements.
  - glib-demo improvements.
- Bump soname following upstream changes.
* Thu Dec 17 2015 pgajdos@suse.com
- Map Standard/Expert encoding ligatures to AGLFN names. [bnc#927466]
  + poppler-ligatures.patch
* Tue Nov 24 2015 pgajdos@suse.com
- fix annotations with transparent color [bsc#914316]
* Fri Nov 20 2015 pgajdos@suse.com
- added poppler-qt5 package [bsc#953957]
* Tue Nov 17 2015 zaitor@opensuse.org
- Update to version 0.38.0:
  + core:
  - Splash: Multiply opacity in case of pattern colorspace
    (fdo#92592).
  - Small form improvements on non ascii character rendering.
  - Clarify README.
  + build system: Clarify internal DCT and JPX are only provided as
    deprecated fallbacks.
  + utils: pdftocairo: fix fit to page transformation.
- Bump soname following upstream changes.
* Sat Oct 10 2015 zaitor@opensuse.org
- Update to version 0.37.0:
  + core:
  - CairoOutputDev: Use mask for even-odd fill (fdo#84527).
  - SplashOuputDev: Protect calls to set/getAA with the proper
    [#]if guards (fdo#92006).
  - SplashOuputDev: Try to use an external font if the internal
    one is invalid.
  - PageTransition D is a number not an int (fdo#92040).
  - Catalog::getNumPages(): validate page count.
  - Catalog::cachePageTree(): recover from out of memory
    condition.
  - Fix crashes in malformed documents.
  + build system: configure: fix openjpeg detection.
- Use pkgconfig(libopenjp2) BuildRequires for openSUSE newer than
  13.1, stay with openjpeg-devel for older releases.
- Bump soname following upstream changes.
* Fri Sep 11 2015 zaitor@opensuse.org
- Update to version 0.36.0:
  + core:
  - Patch to support RichMedia annotations.
  - Splash: Fix wrong memory access (fdo#91686).
  - Cairo: fix size of transparency group surface (fdo#66229).
  - Fix bounds check in Linearization::getPageFirst (fdo#91200).
  - File Saving improvements.
  - Add premultiplied alpha channel to SplashBitmap.
  - Fix for xref table creation (fdo#90790).
  - Fix JBIG2Decode infinite loop and stack overflow (fdo#91186).
  - Minor optimization in text extraction.
  + qt4:
  - Basic support for RichMedia annotations.
  - Change default image format.
  - Minor optimizations.
  + qt5:
  - Basic support for RichMedia annotations.
  - Change default image format.
  - Minor optimizationsHEADmaster.
  + cpp: Fix utf8/utf16 conversion (fdo#91644).
  + build system:
  - Do not hardcode -fPIC in Makefile.am.
  - cmake: Allow configuring SHARE_INSTALL_DIR (fdo#90293).
  + utils:
  - pdfunite: Insert embedded files in result pdf (fdo#90066).
  - pdftotext: Add -bbox-layout option (fdo#89941).
- Bump soname following upstream changes.
* Tue Aug 11 2015 zaitor@opensuse.org
- Update to version 0.35.0:
  + core:
  - Fix assert in broken file (fdo#91344).
  - Adjust memory layout computation of GooString.
  - Make SplashBitmap XBGR transfer alpha channel.
  - Splash: Fix wrong writes on non rgb outputs (fdo#90570).
  - Splash: remove ifndef in Windows code.
  - GlobalParamsWin bugfixes (fdo#91053).
  + qt4:
  - Switch default image format.
  - Add IgnorePaperColor render flag.
  + qt5:
  - Improve efficiency of Poppler::Page::renderToImage.
  - Switch default image format.
  - Add IgnorePaperColor render flag.
  + build system:
  - Allow configuring SPLASH_CMYK support.
    + Add configure --enable-build-type (fdo#90796).
  + glib:
  - Explicitly link against pthread.
  - Deprecation fixes.
  + utils: pdftocairo: Fix cast to pointer from integer of
    different size on win64.
- Bump soname following upstream changes.
* Thu Jul  9 2015 zaitor@opensuse.org
- Update to version 0.34.0:
  + core:
  - Splash:
    . Fix crash in PDF with nested softmasks (fdo#91240).
    . Speed up of rendering icc based images (fdo#90171).
  - PSOutputDev: Embed Type1 fonts to PostScript files correctly
    (fdo#19747).
  - Fix pedantic memory leak.
  + glib: Update new symbols section.
  + Build system: cmake: Make sure ENABLE_LIBOPENJPEG is either 0
    or 1.
- Bump poppler soname following upstream changes.
* Sun May 17 2015 zaitor@opensuse.org
- Update to version 0.33.0:
  + core:
  - Fix regression in pdftops parameter passing (fdo#89827).
  - Combine base characters and diacritical marks (fdo#87215).
  - Use width from W array for WMode positioning (fdo#89621).
  - Fixed adding annotation of Subtype Popup to pdf page
    (fdo#89136).
  - CairoOutputDev: Fix memory leak in CairoFreeTypeFont::create.
  - SplashOutputDev: memset on error to have reproducible
    outputs.
  + qt4: Fix PDF Text String -> QString conversion (kde#344849).
  + qt5: Fix PDF Text String -> QString conversion (kde#344849).
  + glib:
  - Add poppler_annot_markup_set_popup_rectangle()
  - Fix segfault when creating PopplerAction (fdo#90093).
  + utils: pdftohtml: Set exit status adecuately (fdo#83609).
  + build system: configure: Fix invalid shell comparaison in
    libtiff test.
- Bump poppler soname following upstream changes.
* Sat Mar 21 2015 zaitor@opensuse.org
- Update to version 0.32.0:
  + core:
  - Annotations: Fix rendering of empty BG/BC arrays.
  - Splash:
    . Fix wrong colour shown when GouraudTriangleShFill uses a
    DeviceN colorspace (fdo#89182).
    . Fix use of uninitialized variable in Splash::pipeRun.
  - Remove unnecesary check for font validity (fdo#88939).
  - Small optimization in GooString::appendfv() (fdo#89096).
  - Fix crashes in malformed files.
  + utils:
  - pdftops: Make colorpsace optimization an option instead of
    default.
  - pdfseparate: use always an unique instance for PDFDoc for
    savePageAs.
  + build system:
  - cmake: If extra-cmake-modules is around include the
    Sanitizers module.
- Bump poppler soname following upstream changes.
* Sat Feb  7 2015 zaitor@opensuse.org
- Update to version 0.31.0:
  + core:
  - CairoOutputDev: support embedding JBIG2 image data.
  - Accept malformed documents whose root is a Page instead of a
    Pages (fdo#88172).
  - Fix crash on broken documents.
  - JPEG2000Stream: Inline doGetChar and doLookChar.
  - GlobalParams cleaning.
  + utils: pdftops: Add rasterization option (fdo#85934).
  + qt4: Expose whole-words search option.
  + qt5: Expose whole-words search option.
- Bump poppler soname following upstream changes.
* Thu Feb  5 2015 coolo@suse.com
- reset baselibs.conf for rebuilds
* Tue Jan  6 2015 zaitor@opensuse.org
- Update to version 0.30.0:
  + core:
  - Openjpeg2 support (openjpeg 1 is preferred) (fdo#58906).
  - Fix potential memory corruption on TextSelectionDumper
    (fdo#84555).
  - Check for invalid matrix in annotation (fdo#84990).
  - Open some not conforming files (fdo#85919).
  - PSOutputDev: Accept a list of pages indeces instead of first,
    last (fdo#84833).
  - Fix memory leak on error condition.
  + cpp: New API to set debug output function.
  + build system: configure: Improve support with older clang
    versions (fdo#76963).
  + utils: pdfunite: Support output intents, optional content and
    acroform.
- Bump poppler soname following upstream changes.
* Fri Dec 26 2014 zaitor@opensuse.org
- Update to version 0.29.0:
  + core:
  - Use correct LAB byte array for lcms input (fdo#86388).
  - Write correct size in trailer dict (fdo#86063).
  - Use Default colorspaces if present instead of Device
    colorspaces.
  - Solve blend mode problem in CYMK and DeviceN for separable
    blend modes.
  - Compilation/warning fixes on SunOS.
  - Regression test improvements.
  + glib: demo: Compilation fixlets.
  + build system: cofigure: print "no" instead of "auto" if lcms
    not found.
- Bump poppler soname following upstream changes.
* Sat Dec 13 2014 crrodriguez@opensuse.org
- BuildRequire libcurl so the library can operate on remote
  HTTP documents.
* Tue Nov  4 2014 zaitor@opensuse.org
- Update to version 0.28.1:
  + Fix small typo that made pkg-config fail on some systems.
- Changes from version 0.28.0:
  + core:
  - Fix rendering of file with a wrong embedded font (fdo#84270).
  - Use alt colorspace to get CMYK values for an ICC based CMYK
    colorspace (fdo#79019).
  - Map Standard/Expert encoding ligatures to AGLFN names
    (fdo#80093).
  - Make Attribute::getName() work when UTF-16BE is used
    (fdo#84722).
  - Fix memory leak in Dict::remove (fdo#84607).
  - Fix crashes in broken files.
  + SplashOutputDev: Improve Overprintmode and shadings
    (fdo#80998).
  + CairoOutputDev:
  - Fix crash when no group color space (fdo#85137).
  - Don't render text when text matrix is not invertable
    (fdo#78042).
  - Only embed mime data for gray/rgb/cmyk colorspaces
    (fdo#80719).
  - Only embed mime data if image decode map is identity.
  + cairo:
  - Use matrix to determine pattern size (fdo#33364).
  - Fix compile warnings.
  - Regression test improvements.
  + glib:
  - Fix use of uninitialized members in PopplerInputStream
    (fdo#82630).
  - Documentation improvements.
  - Do not dist gir_DATA.
  - Remove use of GTK deprecated functions (fdo#82384,
    fdo#82385).
  - Build introspection linking to the uninstalled libraries
    (fdo#84526).
  + qt4: Add a new Page::annotations() that let's you specify
    subtypes.
  + qt5: Add a new Page::annotations() that let's you specify
    subtypes.
  + utils:
  - pdfseparate: additonal handling for annotations (fdo#77549).
  - pdfdetach: fix crash when getPage() returns null (fdo#85145).
  - pdftocairo: Add support for printing to a Windows printer
    (fdo#79936).
  + build system:
  - Move automake version check from autogen.sh to configure.ac
    (fdo#79797).
  - Makefile.am cleanups (fdo#79411).
  - Use poppler-data pkg-config.
  - Make autogen.sh work with variables with spaces.
  - Don't use -fPIC on mingw.
  - Fix build with --disable-utils (fdo#84448).
- Bump poppler soname following upstream.
* Thu Oct 16 2014 hrvoje.senjan@gmail.com
- Add missing baselibs.conf, but as empty file. Since this package
  is a bit different in number of built libraries, number of
  linked packages, and the fact that there is often soversion
  change - generate current library names during buildtime
* Sat Sep 27 2014 zaitor@opensuse.org
- Update to version 0.26.5:
  + core: Fix rendering of broken file with a wrong embedded font
    (fdo#84270).
  + glib: Fix use of uninitialized members in PopplerInputStream
    (fdo#82630).
* Tue Sep  9 2014 zaitor@opensuse.org
- Update to version 0.26.4:
  + core:
  - CairoOutputDev: Make sure we always push a transparency group
    in setSoftMaskFromImageMask() (fdo#81624).
  - Fix a crash when adding Annotation without contents.
  - Improve non-latin characters in inline notes (fdo#65956).
  - Don't check for inlineImg twice (fdo#82059).
  - printf() -> error().
  + glib:
  - Return NULL in poppler_annot_get_contents also for empty
    strings.
  - Fix a memory leak when getting text layout and attributes.
* Mon Aug  4 2014 zaitor@opensuse.org
- Update to version 0.26.3:
  + qt5:
  - autoconf: Improve moc-qt5 detection.
  - Fix compilation with MinGW.
  + glib:
  - Fix typo in api docs.
  - Use C90-style comments in public headers.
  + core: Error out instead of exiting if allInter grows too much
    (fdo#78714).
  + qt4: Update required version to Qt 4.7.0.
  + build system: Include stdio.h from poppler-config.h.
  + misc: Update .gitignore files.
* Sat Jul 12 2014 zaitor@opensuse.org
- Update to version 0.26.2:
  + core: Make sure we have an xref before using (kde#335413).
  + build system: autoconf: Fix typo in configure.ac.
  + utils: pdftohtml: exit with 0 with -v and -h.
- Changes from version 0.26.1:
  + core:
  - Use field value V for radio buttons (fdo#75979).
  - Fix extraction of text in some files (fdo#78145).
  - Only add annotations of the current page when splitting
    (fdo#77549).
  + build system: autoconf: Fix libopenjpeg 1.5 detection on some
    systems (fdo#78389).
  + glib: Fix multiple definition of PopplerTextSpan.
* Wed Apr 30 2014 hrvoje.senjan@gmail.com
- Enable build of Qt5 subpackage
- Disable poppler-glib and poppler-cpp building with Qt4/5 subpackages
* Tue Apr 29 2014 zaitor@opensuse.org
- Update to version 0.26.0:
  + qt4: Fix mismatched boolean logic in
    TextAnnotation::setInplaceIntent.
  + qt5: Fix mismatched boolean logic in
    TextAnnotation::setInplaceIntent.
  + core: Very small code cleanup.
  + cpp: Very small code cleanup.
- Changes from version 0.25.3:
  + core:
  - Fix crashes on broken files.
  - Avoid MinGW/Cygwin warnings due to redefinition of NOMINMAX.
  - Fix some small memory leaks.
  + qt5:
  - Fix some kinds of OCG models.
  - Cleanup some deprecated methods.
  + glib:
  - Fix the first coord of the quadrilateral in
    create_poppler_quads_from_annot_quads() (fdo#76504).
  + utils: pdftohtml: Fix typo in manpage.
  + qt4: Fix some kinds of OCG models.
- Changes from version 0.25.2:
  + core:
  - Tagged-PDF support.
  - Open some broken files (fdo#75232).
  - Fix crashes on broken files.
  - Fix regression parsing some broken files (kde#329600).
  - Improve compilation under Win 8 with Visual Studio 2012
    (fdo#73111).
  - PSOutputDev:
    . Ensure paper size takes into account rotation (fdo#72312).
    . Fix DocumentMedia/Page/Media/PageBBox DSC comments.
    . Use crop box as page size.
    . Remove origpagesizes mode and make -origpagesizes an alias
    for -paper match.
    . Only change paper size when different to previous size.
    . Ensure there is always a page size in the output.
    . Fix regression when creating level1 PS (fdo#75241).
  - CairoOutputDev: Clip to crop box (bgo#649886).
  - Splash:
    . Blend usage in PDF with spot colors casue random
    output (fdo#74883).
    . Fix off by one that caused crash in a file (fdo#76387).
  - Make sure number of least objects in hints table is valid
    (fdo#74741).
  - Limit numeric parsing of character names (fdo#38456).
  + glib:
  - Tagged-PDF support.
  - Annotation improvements.
  - Install error callback (fdo#73269).
  - Fix gobject-introspection warnings.
  - demo: Fix performance in text markup annotations.
  - Increase gtk3 dependency.
  + qt4:
  - Improve naming of internal export/import macros.
  - Add GCC visibility export attributes.
  - Expose document-supplied text direction.
  + qt5:
  - Improve naming of internal export/import macros.
  - Add GCC visibility export attributes.
  - Expose document-supplied text direction.
  + utils:
  - pdftocairo: Ensure page size and crop box works the same as
    pdftops.
  - Fix TIFF writting in Windows (fdo#75969).
  + buildsystem:
  - Learn about automake 1.14.
  - Do not define -ansi (fdo#72499).
  - cmake:
    . Install JpegWriter.h depending on libjpeg
    . Use c99 for the c compiler.
- Changes from version 0.25.1:
  + core:
  - GooString format:
    . Added some tests + improved documentation.
    . Fixed bug with printing LLONG_MIN.
  - Regression test improvements.
  + qt4:
  - Arthur backend font rendering improvements.
  - Test program to save to file.
  + qt5:
  - Arthur backend font rendering improvements.
  - Improve detection of Qt5 moc (fdo#72744).
  - Test program to save to file.
  + utils:
  - pdfunite:
    . Work even if there's a single file given.
    . Do not lose fonts when merging some files.
- Changes from version 0.25.0:
  + core:
  - Annotation improvements.
  - Tagged PDF work.
  - Improve speed on some files using ICC color space.
  - Use ICC profile in OutputIntents (fdo#34053).
  - Limit use of ZapfDingbats character names (fdo#60243).
  - Splash: correction for knockout transparency groups.
  - Regression test improvements.
  + utils:
  - pdftoppm: Added thinlinemode option setting.
  - pdfinfo:
    . Indicate if pdf contains javascript.
    . Add option to print out javascript.
  - pdfimages:
    . Print size, ratio, and ppi.
    . More image output format support.
  - pdfseparate: allow zero-padded pagespecs.
  + glib:
  - Annotation improvements.
  - Add API to get text, text layout and text attributes for a
    given area.
  - Demo improvements.
- Bump soname following upstream changes.
* Wed Feb 26 2014 dap.darkness@gmail.com
- bnc#864299 was fixed: libpoppler-devel includes poppler-cpp.pc
  and libpoppler-cpp.so (symlink to libpoppler-cpp.so.*).
  So libpoppler-devel must require libpoppler-cpp.
* Fri Feb 21 2014 pgajdos@suse.com
- do not build against openjpeg, use own implementation instead
* Sun Jan 19 2014 zaitor@opensuse.org
- Update to version 0.24.5:
  + core: Fix crash due to wrong formatting of error message
    (kde#328511).
* Sat Dec  7 2013 zaitor@opensuse.org
- Update to version 0.24.4:
  + core:
  - Fix regression in broken endstream detection (fdo#70854).
  - Catalog: sort entries of NameTrees to make sure lookup works
    (fdo#26049).
  - Don't infinite loop if reading from GooFile::read fails
    (fdo#71835).
  + utils:
  - pdftotext:
    . Do not close stdout (fd0#71639).
    . Silence warning for may be used uninitialized variable
    (fdo#71640).
    . Escape the text of the xml headers.
  - Warn the user if he provides a wrong range
  + qt4:
  - Fix typo in xml API (fdo#71643).
  + qt5:
  - Fix typo in xml API (fdo#71643).
- Bump soname following upstream changes.
* Tue Oct 29 2013 zaitor@opensuse.org
- Update to version 0.24.3:
  + core:
  - PSOutputDev: Fix PFB font embedding (fdo#69717).
  - CairoOutputDev: Do not set an invalid matrix in drawImage()
    (fdo#70085).
  + qt4:
  - Don't crash if getXRef()->copy() fails.
  + qt5:
  - Don't crash if getXRef()->copy() fails.
  + utils:
  - pdfseparate: Allow only one %%d in the filename (fdo#69434).
- This version fixes bnc#847907; CVE-2013-4473 and  CVE-2013-4474.
* Sat Sep 28 2013 zaitor@opensuse.org
- Update to version 0.24.2:
  + core:
  - Windows: Fix CreateFile fails with ERROR_SHARING_VIOLATION
    (fdo#69597).
  + utils:
  - pdfseparate: improve the path building.
  - pdftocairo: check file opening failure in beginDocument().
* Fri Aug 30 2013 zaitor@opensuse.org
- Update to version 0.24.1:
  + core:
  - SplashOutputDev: use getRGBLine images if available
    (fdo#66928).
  - SplashOutputDev: Don't copy bitmap if we don't need to.
  - PSOutputDev: Fix regression in -eps -level1sep rendering
    (fdo#68321).
  - Fix crash in malformed file. Use copyString instead of strdup
    where memory is freed with gfree (fdo#67666).
  + utils:
  - pdfdetach: don't mention xpdfrc.
  - pdftotext: Fix -bbox with stdin as input (fdo#45163).
  - pdftohtml: Fix jpeg image export (fdo#48270).
  - pdfimages: Fix typos in man page.
  + glib:
  - demo: Remove GTK_DISABLE_DEPRECATED compilation flag.
  + qt4:
  - Fix small typo in documentation.
  + qt5:
  - Fix small typo in documentation.
* Thu Aug 29 2013 hrvoje.senjan@gmail.com
- Adjust spec files so they build correctly Qt5 port, building of
  it is still disabled
* Tue Jul 30 2013 zaitor@opensuse.org
- Update to version 0.24.0:
  + TextOutputDev: Do not draw ligatures more than once when
    selected (fdo#9001).
  + PSOutputDev: Make some pdftops conversions much faster.
  + PSOutputDev: Initialize t3FillColorOnly.
  + SplashOutputDev: Fallback to 1x1 bitmap if we fail to create
    the real size.
- Bump soname following upstreams changes.
* Wed Jul 24 2013 zaitor@opensuse.org
- Update to version 0.23.4 (0.24 beta 4):
  + core:
  - TextOutputDev: clip the selected text rendering to the
    selection box (fdo#66983).
  - CairoImageOutputDev: Fix the bounding box of saved images.
  + build system:
  - Improve linking against pthreads.
- Bump soname following upstreams changes.
* Tue Jul  9 2013 dimstar@opensuse.org
- Update to version 0.23.3 (0.24 beta3):
  + core:
  - Annotation improvements.
  - Fix crashes on malformed files.
  - TextSelectionPainter: Draw glyphs after selection background.
  - TextOutputDev: add a method to TextPage to get the selection
    as a list of words.
  + qt5:
  - Initial Qt5 port.
  + qt4:
  - Windows compile fixes.
  - Demo: Allow the choose the page rotation.
  + build system:
  - Fix mingw build.
  - Minor autotools fixes.
- Prepare spec file to build for Qt5 once it appears in Factory.
- Change poppler_data_version to 0.4.6, which is the version
  provided since 2012. Note that this does not actually make a
  different, as it's used in a Recommends, which does not care
  much about the version.
* Sun Jun 23 2013 zaitor@opensuse.org
- Update to version 0.22.5:
  + core:
  - PSOutputDev: Make sure that Title: doesn't contain \n or \r
    (fdo#63862).
  - Fix slowlyness reading malformed files (fdo#46703).
  - Fix infinite loop while feeding wrong data in stdin
    (fdo#64967).
  - Fix crash on malformed file (fdo#65221).
  - Fix mismatched delete (fdo#65553).
  + qt4: Fix mismatched delete (fdo#65551).
  + utils: pdftohtml: Fix memory leak.
* Sat Jun  1 2013 zaitor@opensuse.org
- Update to version 0.22.4:
  + core:
  - Always consider a softmask transfer function (fdo#63587).
  - Fix crash on malformed files (fdo#63190).
  - Splash: Fix compilation with fixed point mode enabled.
  + utils: Fix crash on some files (fdo#63909).
  + qt4: Fix name decoding of some attachments (kde#307786).
  + build system: Fix compilation with mingw-w64 compiler.
- Bump soname following upstream changes.
* Mon Apr 15 2013 zaitor@opensuse.org
- Update to version 0.22.3:
  + core:
  - Check order bounding box values in tiling pattern
    (fdo#62369).
  - CairoImageOutputDev: Don't change image interpolation when
    printing (fdo#62418).
  - TextOutputDev: Set text matrix when painting selection
    (fdo#61042).
  - Only write the file once when saving (fdo#62739).
  - Fix for complete rewrites in repaired files.
  - Fixlet regarding spec interpretation for Link Zoom value.
  - Fix typos in man pages.
  - Fix compile when not using libjpeg.
  + glib:
  - Always start from the beginning when starting a new search on
    a page (fdo#59972).
  + qt4:
  - Fix crash in files with LinkRendition (kde#317710).
  + build system:
  - Small cmake improvements.
- Bump soname following upstream changes.
* Tue Mar 12 2013 idonmez@suse.com
- Update to version 0.22.2:
  + core:
  - Correct rendering of underline and strike out annotations
    (fdo#61518)
  - Workaround broken jpeg stream definitions (fdo#61994)
  - SplashOutputDev: Restore CTM on early exits (fdo#61413)
  - SplashOutputDev: Make sure we don't try to paint in x < 0
    (kde#315432)
  - Fix latin page labels. (fdo#61034)
  - Fix minor valgrind warning
  + utils:
  - pdfimages: Fix extraction of some images (fdo#61168)
  + build system:
  - Fix the build with automake-1.13
* Mon Feb 25 2013 zaitor@opensuse.org
- Update to version 0.22.1:
  + core:
  - Fix crash in some pdf files when extracting text (fdo#59561).
  - Fix crashes in wrongly formed files.
  - Fix wrong warning when opening some files (fdo#58966).
  + build system: Improve autoconf jpeglib.h detection (fdo#59186).
- Following security bugs are fixed: CVE-2013-1788, CVE-2013-1789,
  CVE-2013-1790 (bnc#806793)
* Fri Jan  4 2013 hrvoje.senjan@gmail.com
- Update to version 0.22.0:
  + core:
  - Fix crash in invalid files that define a <= 0 bits per image
    value
  - Fix a few issues in JPX decoding when not using OpenJPEG
  - TextOutputDev: Use page size for max value in
    TextPage::visitSelection
  - Fix typo in error message
  + utils:
  - Fix pdfunite regression (fdo#358569)
  - Demo fixes and improvements
  + misc:
  - pdf-inspector improvements
* Tue Dec 18 2012 zaitor@opensuse.org
- Update to version 0.21.4:
  + core:
  - SplashOutputDev: Fix crash when rendering in monochrome mode
  - SplashOutputDev: Fix line widths in monochrome mode
    (fdo#57294)
  - PSOutputDev: Fix crop on EPS conversion (fdo#30692)
  - TextOutputDev: Fix minor logic mistake
  - Fix assert on some malformed files (fdo#58257)
  - Move #include "jpeglib.h" into .cc file (fdo#57687)
  - Filter text that may end up being written to the shell
  - Fix windows compile warnings
  + glib:
  - Add poppler_annot_set_flags (fdo#58015)
  - Demo fixes and improvements
  + qt4:
  - Fix check_lexer on 32-bit systems
- Changes from version 0.21.3:
  + core:
  - Splash: Implement bilinear image scaling (fdo#22138)
  - CairoOutputDev: Update fill and stroke color in startPage
    (fdo#54526)
  - Fix GooString::insert()
  - Allow large chars in TextPage
  - Fix crash on ActualText::end
  - Don't use memcpy to copy classes
  - Fix warnings
  + glib:
  - Check if words end with spaces (fdo#54504)
  - Ensure text is only computed on first render
  - Fix warnings while generating introspection file
  - Fix returns tag in PopplerAttachmentSaveFunc api doc
  - Minor demo fixes
- Changes from version 0.21.2:
  + core:
  - CairoOutputDev: make drawImage work with images > 32767 in
    width/height (fdo#56858)
  - CairoOutputDev: Fix soft mask when image resolution != smask
    resolution (fdo#57070)
  - CairoOutputDev: Fix crash in CairoImageOutputDev with
    setSoftMaskFromImageMask (fdo#57067)
  - Remove a check on fonts that we don't need (fdo#56753)
  - Misc code cleanups
  + utils:
  - pdftocairo: Add tiff output support (fdo#57006)
  - pdfunite: Fix -v (fdo#56817)
  - Misc code cleanups
* Fri Nov  9 2012 hrvoje.senjan@gmail.com
- Update to version 0.21.1:
  core:
  * Annotation improvements
  * Form improvements
  * CairoImageOutputDev: Support parameterized Gouraud shading (Bug #56463)
  * UTF validation fixes
  * Do not call drawing routines if we don't need non text (Bug #54617)
  * Fix Memory leak in CharCodeToUnicode (Bug #54702)
  qt4:
  * Make LinkRendition properties available (Bug #55378)
  * Accessors for FormWidgetChoice::editChoice
  * Implement overprint
* Sun Oct 14 2012 zaitor@opensuse.org
- Update to version 0.21.0:
  + core:
  - Support the modification of files with Encrypt
  - Annotation improvements
  - Form improvements
  - Splash: Implement DeviceN support
  - Splash: Avoid bogus memory error for tilingPattern
  - TextOutputDev: Allow multiple fonts in a TextWord
  - Kill the concept of base dir
  - PSOutputDev: Always write HiResBoundingBox (fdo#53159)
  - Convert UTF-16 to UCS-4 when reading toUnicode cmap
  - GooString formatting: add support for uppercase hexadecimal
  - Use error() instead of fprintf(stderr, ...) in
    Annot::layoutText
  - poppler-config.h: remove WITH_FONTCONFIGURATION_* macros
  + glib:
  - Annotation improvements
  - Add poppler_page_remove_annot()
  - Add poppler_document_new_from_stream
  - Add poppler_document_new_from_gfile
  - Add poppler_page_find_text_with_options (fdo#2951)
  - Demo improvements
  - Port tests and demo to GTK+3
  + qt4:
  - Add accessor methods for movie poster information
  - Make 'additional actions' available in Annotation API
    (fdo#53589)
  - Add whole-page search method to Poppler::Page
  - Small changes in tests
  + utils:
  - pdftohtml: Make the output more xhtml compliant
  - pdftohtml: Add -fontfullname. (fdo#49872)
  - pdftohtml: Do not invoke gs anymore
  + build system:
  - Add the possibility of using lcms1 even if lcms2 is installed
  - Remove extra fontconfig CFLAGS and LIBS
- Changes from version 0.20.4:
  + core:
  - Improvements regarding embedded file handling. (KDE#306008)
  - Fix opening some broken files (fdo#14303)
  - Fix memory leaks
  - Fix crashes in various broken files
  - Refine warning to only complain when really needed
  - Remove function declared but not implemented
  - Remove execution permissions from a header file
  + qt4:
  - Improvements regarding embedded file handling. (KDE#306008)
- Bump sonames following upstream changes.
* Fri Sep  7 2012 zaitor@opensuse.org
- Update to version 0.20.3:
  + core:
  - If NULL, NULL fails as password try EMPTY, EMPTY before
    failing (Bug #3498)
  - SplashOutputDev:
    . Fix bogus memory allocation size in
    Splash::arbitraryTransformImage (Bug #49523)
    . Fix segfault when scaleImage returns NULL (Bug #52488)
    . Blend mode enhancements for CMYK
  - PSOutputDev:
    .  Fix conversion when creating multiple strips (Bug #51982)
    .  Fix Bitmaps in level2sep or level3sep (Bug #52384)
    . Fix DeviceN images with alternate Lab colorspace in level 3
    PostScript (Bug #51822)
    . Make sure xScale and yScale are always initialized
    (Bug #52215)
  - Unify poppler-config.h includes in core "installed" headers
    (Bug #52193)
  - Replace c++ style includes with c style ones (Bug #52426)
  + utils:
  - pdfseparate: Return 0 on success.
- Bump poppler_soname to 27, following library soversion change.
* Tue Aug 21 2012 cfarrell@suse.com
- license update: GPL-2.0 or GPL-3.0
  poppler has a dual license (either GPL-2.0 or GPL-3.0) and emphasise that
  it does not use "or later"
* Sun Jul 29 2012 iacobcatalin@gmail.com
- Update to version 0.20.2 (bnc#774627):
  + core:
  - Copy resources content defined in the pages dict on save (Bug #51369)
  - PSOutputDev:
    . Correct %%%%DocumentCustomColors (Bug #51479)
    . Fix handling of DeviceN images in level 3 PostScript (Bug #51548)
    . use setoverprintmode only if rip knows it
  - Fix crash in malformed documents
  - Remove unnecesary transparency group handling in splash (Bug #13487)
  - Include substitute font name in system font cache (Bug #49826)
  - Fix logic on SplashBitmap::writeImgFile
  + qt4:
  - Do not hang on malformed /Annots objects (Bug #51361)
  - Make TextAnnotation constructor public
  - Fix saving of default TextAnnotation to xml
  - Keep page rotation into account when normalizing annotation coords
  + glib:
  - Fix memory leak when document fails to load
  - Make sure password is always converted to latin1
  - Fix typo in documentation
  + build system:
  - Distribute cmake/modules/FindLCMS2.cmake (Bug #49818)
  + utils:
  - pdftohtml:
    . Determine if font is bold or italic based on FontDescriptor (Bug #49758)
  - pdfseparate:
    . Syntax fixes in the man page
* Mon May 14 2012 vuntz@opensuse.org
- Change pkgconfig(lcms) to pkgconfig(lcms2) since poppler 0.20 now
  supports lcms2.
* Thu May 10 2012 badshah400@gmail.com
- Update to version 0.20.0:
  + Core:
  - Merge Xpdf 3.03
  - Annotation improvements
  - CairoOutputDev:
    . Fix regression caused by mesh gradients
    . Use correct userfont font bbox (fdo#48399)
    . Fix paintTransparencyGroup when both mask and fill opacity
    are required (fdo#48453)
    . Ensure 0 width lines with stroke_adjust are aligned
    . Only align stroke coords for horizontal and vertical lines
    (fdo#48318)
    . Fix stroke pattern with transparency group (fdo#48468)
    . Update cairo mesh pattern to 1.12 api
    . Fix some transparency issues (fdo#47739)
    . Fix regression in some shadings
    . Avoid setting huge clip area when printing (fdo#44002)
    . Fix test for rotation (fdo#14619)
    . Don't read inline image streams twice (fdo#45668)
    . Set mask matrix before drawing an image with a mask
    (fdo#40828)
  - SplashOutputDev:
    . Implement Overprint
    . Fix slow rendering of pdf with a lot of image masks in
    pattern colorspace
    . Fix rendering of knockout groups (fdo#12185)
    . Fix cmyk transfer bug (fdo#49341)
  - PSOutputDev: Implement Overprint
  - TextOutputDev: Don't add newline to last line extracted by
    TextSelectionDumper (fdo#45955)
  - Add support for lcms2
  - More compatible file writing
  - CJK font improvements
  - ttc<->ttf fallback is expected for CJK font list in for
    Windows (fdo#48046)
  - Improve font matching for non embedded fonts
  - Fix typos glyph names in truetype 'post' table standard mac
    ordering
  - Fix page labels to not have a null character at the end
  - Fix logic error in Rendition parsing code (fdo#47063)
  - Minor API changes to SplashOutputDev (fdo#46622)
  - Expand glyph name ligatures such as "ff", "ffi" etc to
    normal form (fdo#7002)
  - Use an Identity CharCodeToUnicode for Adobe-Identity and
    Adobe-UCS collections (fdo#35468)
  - Update glyph names to Unicode values mapping (fdo#13131)
  - Only use Hints table when there are no parse errors
    (fdo#46459)
  - Fix crash in JBIG2Stream decoding
  - Fix crashes in broken documents
  - Expose POPPLER_VERSION in poppler-config.h
  - Reconstruct xref table if xref needed but missing
    (fdo#40719)
  - Fix getFullyQualifiedName with unicode field names
    (fdo#49256)
  - Bring back the Outputdev::begin/endMarkedContent virtuals
  + Qt4:
  - Annotations can now be modified/added/removed
  - Form support improvements
  - Support for LinkMovie object (fdo#40561)
  - Support for Media Rendition
  - Add the option of PSConverter creating EPS
  - Convert propertly unicode encoded field qualified names
  + Glib:
  - Add poppler_fonts_iter_get_encoding
  - Add poppler_fonts_iter_get_substitute_name
  - Demo improvements
  - Update gtk-doc makefile and m4 file
  - Fix typos in documentation
  - glib: Use delete[] to free array allocated with new[]
    (fdo#48447)
  + Utils:
  - pdftohtml:
    . Fix crash when the destination file does not exist
    . Add producer and version to xml output
    . Fix the mask inversion for PNG
    . Extract mask images even if they are not JPEG (fdo#47186)
    . Flip images if they need to (fdo#32340)
    . Add possibilty of controlling word breaks percentage
    (fdo#47022)
    . Output images in -xml mode if no -i option is specified
    . Get rid of static data members; merge duplicated jpeg
    dumping code
    . Be more consistent generating the outlines
    . Generate outlines in pdftohtml in -xml mode (fdo#56993)
    . Combine UTF16 surrogate pairs (fdo#46521)
  - pdffonts:
    . List the encoding of each font. (fdo#46888)
    . Add -subst option to list the substitute font name and
    filename
  - pdfinfo:
    . Report page rotation
    . Decode utf-16 surrogate pairs
  - pdftotext: Add missing section heading to man page
  - pdftops: Fix -passfonts regression. (fdo#46744)
  - pdftoppm: Allow one of -scale-to-[xy] = -1 to mean the
    aspect ratio is to be preserved (fdo#43393)
  - pdftocairo: Allow one of -scale-to-[xy] = -1 to mean the
    aspect ratio is to be preserved
  - pdfseparate: Produce PDF/X conformant pdf pages if the
    original PDF was PDF/X conformant
  - pdfimages: Add -list option to list all images (fdo#46066)
  - Improve various manpages
  + Build system:
  - autotools:
    . Do not append "-ansi" to CXXFLAG, if "-std=XXX" is already
    specified.
    . Do not clear FREETYPE_CFLAGS, FREETYPE_LIBS before
    PKG_CHECK_MODULES()
    . Copying graphics library CFLAGS to cpp frontend Makefile.am
    . Print the cairo version required if not found (fdo#44619)
    . Print the glib version required if not found
    . Use pkgconfig to check for libopenjpeg (fdo#21789)
    . Replace openjpeg compile test with a version test
  - Minor cmake fixes
  - Add a configuration option for the test data dir
- Updated sonames for shared libraries in keeping with upstream
  package changes: poppler_soname is now 25, poppler_qt4_soname is
  now 4.
* Sun Mar  4 2012 asterios.dramis@gmail.com
- Enabled build requirement for openjpeg.
* Thu Feb 16 2012 vuntz@opensuse.org
- Update to version 0.18.4:
  + core:
  - CairoOutputDev:
    . Restore temporary clip used in CairoOutputDev::fill when
    painting a mask
    . Ensure paintTransparencyGroup uses same ctm as
    beginTransparencyGroup (fdo#29968).
    . Use fabs when comparing the transformed line width
    (fdo#43441).
    . Remove unused variable in CairoFontEngine.cc (fdo#45442).
  - SplashOutputDev: Do not use 50Kb of stack in
    SplashXPath::addCurve (fdo#44905).
  - JpegWriter: set image parameters after jpeg_set_defaults()
    (fdo#45224).
  - OpenJPEG decoder: Set
    OPJ_DPARAMETERS_IGNORE_PCLR_CMAP_CDEF_FLAG if you have it
    (fdo#43414).
  - Lexer: convert integer to real when overflow occurs
    (fdo#45605).
  + glib:
  - Various minor introspection and documentation improvements
    (fdo#44790).
  - Fix return values (fdo#45440, fdo#45441).
  - gtk-doc improvements (fdo#45549).
  - Introspection improvements (fdo#45455).
  + qt4:
  - remove non-existing 'qt' include dirs
  + utils:
  - HtmlOutputDev:
    . Proper unicode support when dumping PDF outline
    (fdo#45572).
    . Fix leaks (fdo#45805).
    . Close li tags in generated outlines (fdo#45807).
  - man pages: fix minor issues with hypens and %%
  + build system:
  - automake: Link to lcms if needed
  - automake: Fix build for builddir != srcdir (fdo#45434).
  - automake: Improve moc detection when cross compiling
  - Fix build with latest mingw-w64 headers (fdo#45407).
* Mon Jan 16 2012 vuntz@opensuse.org
- Update to version 0.18.3:
  + core:
  - Do not fail if we are trying to save a file with Encrypt that
    has not been modified (kde#288045)
  - Include .otf fonts when finding substitute fonts (fdo#44412)
  - Fix stack overflow in PDFDoc::markObject() (fdo#44660)
  - Include strings.h as we use memcpy (fdo#43558)
  + utils:
  - pdfunite: Properly initialize globalParams (fdo#44659)
  - pdfseparate: Properly initialize globalParams
  - Fix iniliazialization of GooString arguments
  + build system:
  - autoconf: Check for cairo-ft and other cairo backends
    (fdo#43969)
- Add explicit pkgconfig() BuildRequires, following upstream
  changes, for: cairo-ft, cairo-pdf, cairo-ps, cairo-svg.
* Mon Jan  9 2012 vuntz@opensuse.org
- Split typelib file into typelib-1_0-Poppler-0_18 subpackage.
- Add typelib-1_0-Poppler-0_18 Requires to libpoppler-glib-devel
  subpackage.
* Wed Jan  4 2012 vuntz@opensuse.org
- Update to version 0.18.2:
  + core:
  - Fix leak in GooString when resizing to a smaller string
  - Fix crash if failing to parse the colorspace (fdo#42793)
  - Make GfxColorSpace::parse accept dicts
  + qt4:
  - Use PDFDoc(wchar_t *, ...) on Windows (fdo#35378)
  - Add missing include
  - Minor fixes in documentation
  + utils:
  - pdftocairo: Fix crash when rendering only odd/even pages in a
    printing format
  + build system:
  - Fix pkg-config files
* Tue Nov 15 2011 vuntz@opensuse.org
- Update to version 0.18.1:
  + core:
  - PSOutputDev:
    . Output PS that does not confuse libspectre
    . Fix tiling pattern fill matrix (fdo#41374)
    . Emit non repeating patterns just once
    . Fix uncolored tiling patterns (fdo#41462)
  - CairoOutputDev:
    . Fix crash when using poppler_page_get_image()
    . Fix various setSoftMask bugs (fdo#41005)
  + utils:
  - pdftocairo:
    . Flush/close files one we are done using them
    . Compile on Windows
  + build system:
  - CMake:
    . Fix typo in option description
    . Correctly include fontconfig include dir
  - Remove poppler-cairo dependency from poppler-glib pkg-config
    file
  + qt4:
  - Minor fixes in documentation
- Bump poppler_soname to 19, following library soversion change.
* Tue Sep 27 2011 vuntz@opensuse.org
- Update to version 0.18.0:
  + core:
  - Fix small memory leak when dealing with marked content
  - Remove DCTStream::getRawStream since Stream::getNextStream
    does the same
  + utils:
  - Rename pdfmerge to pdfunite
  - Rename pdfextract to pdfseparate
  - pdfseparate: Complain if %%d is not present and it should
  - Add pdfseparate and pdfunite man pages
  + build system:
  - Minor cleanup in regarding removed qt code
- Bump poppler_soname to 18, following upstream soversion change.
* Fri Sep 16 2011 vuntz@opensuse.org
- Update to version 0.17.4:
  + core:
  - SplashOutputDev: Compile when defining USE_FIXEDPOINT
  - PNGWriter: Compile with libpng >= 1.5.0
- Bump poppler_api define since the typelib file is now versioned
  0.18.
* Sat Sep 10 2011 vuntz@opensuse.org
- Update to version 0.17.3:
  + core:
  - PSOutputDev:
    . Use Patterns for tiling fill when PS level >= 2
    . Avoid using /PatternType if only one instance of the
    pattern is used
    . Add poppler version as comment in the file
  - CairoOutputDev:
    . Set mime data for soft masked images (fdo#40192)
    . Assume printer pixel size is 1/600" when stroking 0 width
    lines (fdo#39067)
    . Use cairo_show_text_glyphs() when printing
    . Fix stroke patterns (fdo#11719)
    . Fix unique id mime data
    . Fix stroking of very thin lines
    . Align strokes when Stroke Adjust is true and line
    width <= 1 (fdo#4536)
  - TextOutputDev: Add TextFontInfo::matches()
  - Improve PNGWriter
  - Rework writing of PDF files
  + utils:
  - Introduce pdftocairo: utility for creating
    png/jpeg/ps/eps/pdf/svg using CairoOutputDev
  - Introduce pdfextract: utility to extract PDF pages
  - Introduce pdfmerge: utility to merge PDF files
  - Fix compilation warning
  - pdftohtml: Support text rotation (fdo#38586)
  - Update SEE ALSO section of man pages
  + glib:
  - Add poppler_page_get_text_attributes()
  - Add text attributes information to text demo
  + qt4:
  - Add a way to get the fully qualified name of a FormField
  - Minor documentation improvements
- Changes from version 0.17.2:
  + core:
  - EmbeddedFile improvements
  - Don't gmalloc(-1) upon ftell failure
  - Fix missing content in some pages (fdo#39637)
  - Improve selection of CJK fonts (fdo#36474)
  - SplashOutputDev:
    . Implement overprint
    . Render dots for 0 length dashed lines (fdo#34150)
    . Fix bad memory access when not using antialias (fdo#37189)
  - PSOutputDev:
    . Make level2sep and level3sep write cmyk instead of rgb
    . Make level1sep, level2sep and level3sep write gray instead
    of rgb for gray images
  - Fix numerical overflow in libopenjpeg JPXStream (fdo#39361)
  - Fix crash on truncated JPEG/DCT stream (fdo#36693)
  - Make sure the dict is a page dict (fdo#35925, fdo#39072)
  - Fix calculation of startXRefPos
  - Handle missing startxref properly (fdo#38209)
  - Parse the "Medium" modifier when asking fontconfig for a font
  - Header cleanup
  - Include cleanup
  - Define cleanup
  + glib:
  - Add missing permissions flags to PopplerPermissions
  - Add missing permission flags to info demo
  - Update gtk-doc.make
  - Add poppler_document_get_n_attachments()
  + utils:
  - pdftohtml:
    . Fix encoding of PDF document metadata (fdo#37900)
    . Fix vertical spacing issues  (fdo#38019)
  - pdftotext: Fix -htmlmeta to correctly output U+2019 in PDF
    metadata (fdo#37900)
  - pdftoppm: Implement overprint
  + qt4:
  - Rework EmbeddedFile internals
  - Fix possible crash in test
- Changes from version 0.17.1:
  + core:
  - Rework the way form fields tree is built
  - Cleanup unused parameters/variables
  + glib:
  - Add JavaScript actions
  - demo: Show javascript actions in actions view
  + qt4:
  - tests: Turn some assignments to bool into QVERIFY checks
- Changes from version 0.17.0:
  + core:
  - Splash:
    . Implement tiling patterns
    . Support slight hinting
    . Radial shading improvements
    . General speed improvements
  - Arthur: Add Hinting API
  - Cairo:
    . Implement Type 4,5,6,7 shadings using cairo mesh gradients
    . Use the new cairo unique id to set the surface id when
    printing
  - PS:
    . Add PS level1 non standard binary output option
    . Allow setting the rasterization resolution
  - Form support improvements
  - Annotation support improvements
  - General speed improvements
  - Add support for handling ViewerPreferences
  - Remove abiword output device
  + utils:
  - pdftoppm:
    . Add -singlefile option (fdo#32025)
    . Add TIFF output format support (fdo#32027)
  - pdftops:
    . Add PS level1 non standard binary output option
    . Allow setting the rasterization resolution
  - pdftoabw has been removed
  + glib:
  - Add poppler_form_field_get_action() (fdo#33174)
  - Remove GDK API
  - Remove test-poppler-glib
  - demo:
    . Add a tooltip with current selected character in text demo
    . Show the activation action of form fields if there's one
  + cpp:
  - Add TIFF output possibility
  - Add PNM output possibility
  + qt4:
  - Support slight hinting
  - Form support improvements
  + qt3:
  - The Qt3 frontend has been removed
  + tests:
  - Merge splash and cairo tests into a single gtk-test tool
- Drop poppler-pdftoabw-overflow.patch: the abiword output device
  got removed.
- Drop poppler-0.16.5-disable-demo.patch: we don't need it anymore,
  as we won't build the test program anyway.
- Bump the soname macros to follow upstream soversion changes.
- Add libtiff-devel BuildRequires: new dependency.
- Remove unneeded gtk-doc, gtk2-devel and libxml2-devel
  BuildRequires (GTK+ is only needed for a test tool).
- Remove pkg-config BuildRequires: by depending on glib, we know it
  will be there.
- Remove qt3-devel BuildReqiures: the Qt3 frontend has been
  removed.
- Move to pkgconfig()-style BuildRequires:
  + Old ones: liblcms-devel, libpng-devel.
  + New ones: lcms, libpng.
- Add pkgconfig() BuildRequires that were brought in by gtk2-devel
  before: cairo, fontconfig, freetype2, gobject-2.0.
- Remove cairo-devel and libjpeg-devel Requires from
  libpoppler-devel: those are not needed.
- Remove libpoppler-devel, cairo-devel, glib2-devel and gtk2-devel
  Requires from libpoppler-glib-devel: the right Requires will
  automatically be added the pkgconfig() way.
- Drop libpoppler-qt and libpoppler-qt3-devel subpackages as the
  Qt3 frontend has been removed.
- Merge libpoppler-doc subpackage with libpoppler-glib-devel, as
  the documentation is only for the glib API. Add appropriate
  Provides/Obsoletes, and move the Provides/Obsoletes that
  libpoppler-doc had too.
- Remove call to autoreconf: it was only needed for one of the
  patches.
- Pass --disable-gtk-test: don't bother building the GTK+ test
  program.
* Fri Aug 12 2011 dmueller@suse.de
- remove requires on libdrm-devel
* Fri May 20 2011 idonmez@novell.com
- Add poppler-0.16.5-disable-demo.patch: disable glib demo, its
  using deprecated GTK+ functions
* Mon May  2 2011 vuntz@opensuse.org
- Update to version 0.16.5:
  + core:
  - Fix a memleak in AnnotScreen::initialize
  - Properly initialize pageObjectNum to 0 (fdo#35925)
  + utils:
  - pdftotext: bbox coordinates are relative to MediaBox size,
    not CropBox size
  + cpp:
  - Fix page_transition::operator=
- Changes from version 0.16.4:
  + core:
  - Small improvements in Annot parsing
  + glib:
  - Add g_return macros to make sure index is correct in form
    field choice methods
  - Fix a crash when a choice form field has no items selected in
    glib-demo
  + utils:
  - Small fixes to the pdftohtml manpage
  - Fix copyright years
  + qt4:
  - Fix caption of push button fields
- Changes from version 0.16.3:
  + core:
  - Increase precision in PS output device
  - Workaround bug when converting pdf to ps with level1
    (fdo#31926)
  - Fix crash in Splash output device in some broken pdf
  - Fix infinite loop in some broken files
  - Fix rendering of some substituted fonts (fdo#34522)
  - Do not ask Freetype for 0x0 fonts in Splash output device
    (fdo#34602)
  - Don't assume y1 > y3 for points of a highlight annotation
    (bgo#643028)
  - Handle fontCIDType2OT when creating freetype font in Cairo
    output device (bgo#643273)
  - Fix crash in some pdf that use ICC color space (fdo#34357)
  + glib:
  - Don't use an uninitialized local variable in demo
  - Add some introspection markers
  + qt4:
  - Fix crash regression in unicodeToQString (again)
  + utils:
  - pdftotext: Do not crash when using -bbox
- Ship COPYING in poppler-tools subpackage. Fixes bnc#678887.
- Update poppler_soname as the soname has changed again.
* Wed Feb 23 2011 fcrozat@novell.com
- Update to version 0.16.2:
  + Core:
  - Fix text extraction for some files
  + qt4:
  - Fix crash regression in unicodeToQString
- Changes from version 0.16.1:
  + Core:
  - Fix colorspace issues in the Cairo backend (fdo#32746)
  - Remove declaration of function without implementation
  - Do not crash in case jpeg_create_decompress fails (fdo#32890)
  - Fix variable access mismatch (fdo#33063)
  - Fix converting some pdf to ps with -level1sep (fdo#32365)
  - Fix line selection, dont check y for Line selections
  - Include zlib header in PNGWriter.cc
  - Fix memleaks
  + glib:
  - Use NULL instead of FALSE for functions returning a pointer
  - Fix memory leak in poppler_page_get_text_layout() for pages
    with no text
  + qt4:
  - Fix unicodeToQString() to correctly decode the Unicode
    sequence
- Changes from version 0.16.0:
  + core:
  - Improve the correctness of radial shadings (fdo#32349)
  - Adapt the zlib-based FlateStream code to API changes
    (fdo#32065)
  - Make PreScanOutputDev be less agressive when deciding to
    rasterize (fdo#30107)
  - Fix some warnings in newer gcc in Splash backend
  - Fix the preliminary bbox/clip calculation in Splash backend
  - Use A1 instead of A8 for imagemask in the Cairo backend
  + utils:
  - Do not return 99 (or 1) with -h, -v and -printenc (fdo#32149)
  + build system:
  - Add more warning flags to the default gcc builds
  - Enable GObject introspection support in the cmake build system
- Changes from version 0.15.3:
  + core:
  - Improve rendering of radial shadings
  - Open a broken file (fdo#31861)
  - Correct parsing of linearization table (fdo#31627)
  - Find fonts inside patterns (fdo#31948)
  - Use a std::vector<char> instead of a var-length-array of
    chars
  - Fix crashes in broken files
  - Use sets instead of arrays for looking for duplicate fonts
  + cpp:
  - Include correction
  + utils:
  - pdffonts: Remove duplicated code
- Changes from version 0.15.2:
  + core:
  - Improve shadings and antialias in the Splash backend
    (fdo#30436)
  - Linearization improvements
  - Small improvements to the Arthur backend
  - Fix calculation of the size of some pages (fdo#30784)
  - Fix crashes in broken documents
  + qt4:
  - Add Page::renderToPainter() method
  - Add setDebugErrorFunction() method
  + cpp:
  - Add the hability to render pages to an image
  + utils:
  - Add -p flag to pdfimages
- Changes from version 0.15.1:
  + core:
  - Consider render value when colorizing text (fdo#2807)
  - Improve rendering of Shading Type 6 and 7
  - Improve dict lookup speed for big dicts
  - Fix multiple crashes in malformed PDF files
  - Fix memory leak in in malformed PDF files
  - Fix memory leak in the Catalog names
  - Fix uninitialized uses on DCTScanInfo
  - Fix a crash when drawing square/circle annots without a
    border (fdo#30580)
  - Only clip boxes to mediabox if we are at the page level
    (fdo#30784)
  - Do not omit the notdef glyph in the Splash backend
  - Fix a crash when redering documents with invalid type 3
    fonts in the Cairo backend
  - Form improvements
  - Add a method to get the PDF file identifier
  + glib:
  - Add more printing options to the API
  - Add a method to get the PDF file identifier
  - Add accessor for all PopplerDocument properties
  - Form improvements
  - Documentation improvements
  - Improvements to the demo
  + qt4:
  - Add a callback to know which page has been printed
  - Add a method to get the PDF file identifier
  - Optimize GooString to QString conversion
  - Update Doxyfile (enables .qch file for assistant)
  + utils:
  - pdftohtml: Add -s option to generate a single HTML page
  - pdftotext: Add -bbox option
  + cpp:
  - Add the possibility of loading a document from raw data
  - Add a method to get the PDF file identifier
  - Improve Unicode to ustring conversion
  - Documentation improvements
  - Update Doxyfile
- Changes from version 0.15.0:
  + core:
  - Remove exception support
  - Improve creation of Annotations
  - Fix failure to parse PDF with damaged internal structure.
    (fdo#29189, fdo#3870)
  - Add a way to access the raw text of a page
  - Speed improvements when reading multiple characters from a
    given Stream
  - Speed improvements in the Splash backend
  - Speed improvement in gray color space calculations
  - Speed improvement in ICC color space calculations
  - Speed improvement when reading some fonts
  - Make GBool a bool instead of an int
  + glib:
  - Add GObject introspection support
  - Improve creation of Annotations
  - Add a way to get the coordinates of each character of a page
  - Add a way to get the page label
  - Documentation improvements
  - Support password protected documents in the demo
  - Support for selection in the demo
  - Support for adding annotationss in the demo
  + qt4:
  - Add a way to access the raw text of a page
  - Recognize "Print" as named action
  - Documentation improvements
  + build system:
  - Improvements when build the glib frontend with CMake
  + utils:
  - pdftohtml: Use splash instead of external gs invocation to
    render the background
  - pdftohtml: Let the user specify the resolution of the
    background. (fdo#29551)
  + cpp:
  - Add a way to access the raw text of a page
- Changes from version 0.14.3:
  + core:
  - Tell Windows we are writing/reading binary data from
    stdout/stdio (fdo#29329)
  - Fix crash when parsing some Movie elements (kde#249586)
- Bump soname for glib / cpp / qt / qt4 libraries
- Add gobject-introspection-devel BuildRequires to enable
  introspection support.
* Thu Nov 11 2010 coolo@novell.com
- own parent directories for poppler-qt
* Sat Oct  9 2010 vuntz@opensuse.org
- Update to version 0.14.4:
  + core:
  - Set initial state of optional content groups based on
    BaseState field
  - Fix multiple crashes in malformed PDF files
  - Fix memory leak in in malformed PDF files
  - Fix memory leak in the Catalog names
  - Fix uninitialized uses on DCTScanInfo
  - Fix a crash when drawing square/circle annots without a
    border (fdo#30580)
  + glib:
  - Fix layers array generation when it contains multiple arrays
  - Fix a crash when building layer actions (fdo#30106)
* Sat Sep 11 2010 vuntz@opensuse.org
- Update to version 0.14.3:
  + core:
  - Tell Windows we are writing/reading binary data from
    stdout/stdio (bgo#29329)
  - Fix crash when parsing some Movie elements (kde#249586)
* Thu Aug 19 2010 vuntz@opensuse.org
- Update to version 0.14.2:
  + core:
  - Fix rendering of some documents involving tilingPatternFill
    in the cairo output device
  - Improve rendering of some annotations
  - Handle ColorTransform in DCT streams when using libjpeg
    (fdo#28873)
  - Fix crash in the ps output device in some files (kde#246269)
  - Fix crash in some malformed files (fdo#28842)
  + build system:
  - Improve build on windows
  - Add uninstalled .pc file support when using autoconf
  + glib:
  - Fix a crash when a layer doesn't have a name (fdo#28842)
  + utils:
  - Fix padding of names in pdftoppm
- Bump poppler_soname from 6 to 7.
* Thu Jul 15 2010 dimstar@opensuse.org
- Update to version 0.14.1:
  + Core:
  - fdo#26759: Add ObjectStream caching, makes opening some files
    ten times faster
  - fdo#28480: Fix crash when writing to negative coordinates
  - Check objects are the type we want them to be when parsing
    GfxICCBasedColorSpace
  - Optimize Splash::compositeBackground
  - Optimize color space calculations by using sqrt instead of
    pow 0.5
  - Fix crash in JBIG2Stream with malformed documents
  + build system:
  - Make sure we ship two needed cmake files
  - Do not distribute glib/poppler-features.h and
    poppler/poppler-config.h
  - Improve compilation with Sun Studio
  - Fix linking of the cpp frontend when using autotools
  + glib:
  - fdo#28588: Fix links/annots area for some documents
  - fdo#27927: Fix poppler_page_find_tex() when called more than
    once
  + utils:
  - Add -cropbox to pdftoppm manual
* Thu May 20 2010 coolo@novell.com
- fix last change
* Mon May 17 2010 coolo@novell.com
- Split out qt bindings in a spec file, to speed up build.
* Thu Dec 24 2009 vuntz@opensuse.org
- Update to version 0.12.3:
  + core:
  - Be more lenient with /Decode key on images. fdo#17439
  - Correctly initialize fileName in LinkGoToR. fdo#25221
  - Improve the reconstruction of the XRef for broken files
  - [Cairo backend] Do not crash on malformed files. fdo#24575
  - Accept Fontname if FontName is not present. kde#217013
  - Make PSOutputDev code a bit more resilient
  - Fix writing of null objects. fdo#25465
  - [Cairo backend] Fix crash in some documents. bgo#603934
  - Correctly initialize profileCommands in Gfx constructor
  + build system:
  - Check for openjpeg in the C++ part as it uses bool in the
    header. fdo#25103
* Fri Dec 18 2009 jengelh@medozas.de
- Package documentation as noarch
* Sat Dec  5 2009 vuntz@opensuse.org
- Update to version 0.12.2:
  + core:
  - Fix a memory leak when converting to PostScript
  - Fix crash when reading a font fails. fdo#24525
  - Make the ICC cache per page instead of global. fdo#24686
  - Do not accept negative interval lengths in the page labels
    tree. fdo#24721
  - Do not crash on files Aspect of Movie objects are reals
    instead of integers. fdo#24733
  - Do not render patterns when using CairoImageOutputDev
  - Allow Transitions dictionary to be a Ref
  - Do not crash if jpeg_start_decompress fails. kde#214317
  + glib:
  - Fix CVE-2009-3607
  + qt4:
  - Use '.' in the annotations XML instead of the decimal
    separator of the current locale
- Drop poppler-CVE-2009-3607.patch: fixed upstream.
- Remove poppler_spec-prepare.sh, and instead integrate its code in
  pre_checkin.sh.
* Fri Nov 13 2009 vuntz@opensuse.org
- Update to version 0.12.1:
  + core:
  - Fix compilation on some compilers
  - Only initialize the font list once in Windows32/MSVC
  - Do not crash on fonts without CharCodeToUnicode. fdo#24036
  - Fix regression due to not setting LC_NUMERIC anymore
  - Improve realibility for Streams with broken Length. fdo#6841
  - Write the Info into the trailer dict if there is one.
    fdo#24091
  - Do not crash when saving files that come from a stream
    without name. fdo#24090
  - Improve relability of the save function
  - Fix the Length value if it was wrong when saving
  - Fix includes for those using internal headers
  - Rework how hinting is used in the splash backend. It is
    disabled by default now
  - fix constructor of DCTStream when using internal decoder
  - Security fixes based xpdf 3.02pl4
  + qt4:
  - Add the possibility of setting wheter to use or not font
    hinting
  - Add a way for converters to return more exact errors they had
    when converting
  - Check the document is not locked when converting to PS
  + build system:
  - Compile on Cygwin
  - Use _WIN32 instead of WIN32. Bug #24259
  - Add the possibility to pass LIB_SUFFIX when using CMake
- Drop poppler-change-hinting-flags.patch: fixed upstream.
- Drop poppler-CVE-2009-3608.patch: fixed upstream.
- Update description of the packages to be less verbose without
  being less informative.
- Fix self-obsoletion rpmlint warnings: when we provide a version
  of a package, don't obsolete <= this version, but <.
* Tue Oct 27 2009 bili@novell.com
- Help Vincent submit these patches.
- Add poppler-CVE-2009-3607.patch: fix an integer overflow,
  bnc#546393, swampid#27127.
- Add poppler-CVE-2009-3608.patch: fix an integer overflow,
  bnc#543090, swampid#27127.
- Add poppler-pdftoabw-overflow.patch to fix string overflows in
  pdftoabw, bnc#537171, swampid#27127.
* Thu Oct  1 2009 wstephenson@suse.de
- Add patch to disable autohinting in the Splash backend, except
  when the bytecode interpreter is enabled, for consistency with
  other backends and better results
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 0.12.0:
  + core:
  - Fix printf format security warnings
  - Improve rendering of radial shadings. fdo#20238
  - Better fallback when there's a font type mismatch. fdo#17252
  - Do not crash on attachments without data stream. fdo#10386
  - Fix infinite loop in JBIG2Decoder. fdo#23025
  + build system:
  - Minimizes pkg-config dependencies for Qt frontends
  - Add automake 1.11 support
  - Use the newest automake found and not the oldest
  - Support AM_SILENT_RULES when using automake 1.11
  + utils:
  - Add common options to pdftoabw
* Tue Aug 25 2009 vuntz@novell.com
- Update to version 0.11.3:
  + core:
  - Optimization in the Cairo renderer for some fonts
  - Do not apply masks when fill color space mode is csPattern in
    the Cairo renderer. fdo#22216
  - Check for overflow when parsing integers. fdo#23078
  - Do not save the font file twice for FreeType fonts in the
    Cairo renderer. fdo#20491
  - Use current fill_opacity when drawing images in the Cairo renderer
  - Fix alpha rendering in some files in the Splash renderer.
    fdo#22143, fdo#22152
  - Implement tiling patterns in the Cairo renderer
  - When converting a cm matrix to PS write 4 significant digits
    for numbers < 1 not 4 decimals. fdo#23332
  - Fix changing of locale, now poppler no longer changes LC_NUMERIC to "C"
  - Return PDF version as two integers instead of as a double
  + Qt4:
  - Addition of the Color Management API
  - Small fix to documentation
  - Fix backwards text search
  + utils:
  - Add the -png flag to pdftoppm to output to PNG
* Mon Aug  3 2009 vuntz@novell.com
- Update to version 0.11.2:
  + core:
  - Make DecryptStream return sane values for getPos(). fdo#19706
  - Fix bug when printing pdf with multiple page sizes in duplex
    mode
  - Initilize AnnotColot properly when the Array is not correct
  - Fix crash on some files with forms. fdo#22485
  - Fix crash in files with invalid embedded files. fdo#22551
  - Improve FileSpec attribute parsing
  - Cairo output device improvements. fdo#10942, fdo#18017,
    fdo#14160
  - Implement blend modes in cairo backend
  - Handle fontType1COT fonts in CairoFontEngine
  - Fix generation of PS for some files. fdo#18908
  - Don't use byte_lookup table when color space doesn't support
    getLine methods. fdo#11027
  - Fix rendering of PDF files with malformed patterns. fdo#22835
  - Add the possibility of disabling font substitution in
    pdftops. fdo#23030
  - Fix some radio buttons not being detected as such
  + glib:
  - Improvements to the demo
  + Qt4:
  - Improvements to the demo
  + build system:
  - Use gtkbuilder rather than libglade for some tests
  + utils:
  - Fix bug with noCrop parameter in pdftops
* Tue Jul 28 2009 coolo@novell.com
- disable build of gtk-doc subpackage, the auto* macros are broken
  (may be fixed in next beta)
* Tue Jul 28 2009 coolo@novell.com
- update to version 0.11.1:
  core:
  * Support colorizing text in pattern colorspace. Bug #19670 and #19994
  * Add the possibility of forcing no hinting of fonts in the Splash backend
  * Support multiple page sizes when converting to PS. Bug #19777
  * Also tokens with leading 00 when parsing the char to unicode map. Bug #22025
  * Improvements of rendering speed in documents using PS transformations a lot. Bug #21562
  * More work on Annotations support
  * Use Interpolate flag to decide whether applying image interpolation during rendering. Bug #9860
  * Handle Streams in CMap definitions. Bug #22334
  * Fix pdftops crash on file from KDE bug #174899
  * Fix PS generation in some files. Bug #20420
  * Do not create the GfxColorTransform if the lcms could not be created. Bug #20108
  * Give an error when using level1sep in pdftops without having CMYK support. Bug #22026
  * Kill support for specifying extension in openTmpFile. Bug #21713
  glib:
  * Add poppler_annot_markup_has_popup()
  * Hyphenate UTF-8 and UTF-16BE. Bug #21953
  * Use g_strerror instead of strerror. Bug #22095
  * Fix a crash when a destination points to an invalid page
  * Improvements to the demo
  Qt4:
  * Add LinkDestination::destinationName()
  * Do not try to resolve named destinations for GoTo links pointing to external documents
  * Add Page::thumbnail()
* Thu May 21 2009 pgajdos@suse.cz
- added GlobalParams::forceNoFTAutoHinting()
  - no-hinting.patch
  + force-no-hinting.patch
- this patch was upstreamed and should appear in next release
* Sun May 17 2009 vuntz@novell.com
- Update to version 0.11.0:
  + core:
  - Add initial support for color management
  - Remove case-insensitive matching of filenames in PDFDoc
    constructor
  - Fix extraction of some ActualText content
  - More work on Annotations support
  - Improve font rendering in Cairo output device
  - Fix bug in cairo backend with nested masks
  - Fix cairo luminosity smask rendering
  - Add optionally text support to Cairo output device
  - Add the possibility of setting the datadir on runtime
  - Return an error code instead of a boolean when saving
  - Make the font scanner more versatile
  - Small opimization in documents that use PostScriptFunction
    transforms
  - Minor optimization to Stream handling
  - Fix some compile warnings
  + glib:
  - Optional content support
  - More work on Annotations support
  - Improvements to the demo
  - Documentation improvements
  - Fix build when compiling with GTK_DISABLE_SINGLE_INCLUDES
  + Qt4:
  - Support URI actions for Table Of Contents items
  - Documentation improvements
  - Improvements to the demo
  - Add a FontIterator for iterating through the fonts of the
    document
  + utils:
  - Allow the use of cropbox in pdftoppm
  - Make pdftohtml output png images when the image stream is not
    a jpeg
  - Make pdftotext accept cropping options like pdftoppm
  - Support rendering non-square pixels in pdftoppm
  + build system:
  - Require Cairo 1.8.4 for the Cairo output device
  - Require CMake 2.6 when using the CMake build system
  - Optionally require libpng for pdftohtml
  - Optionally require libcms for color management
- Add liblcms-devel and libpng-devel BuildRequires.
- Rename libpoppler4 to libpoppler5.
* Fri Apr 17 2009 vuntz@novell.com
- Update to version 0.10.6:
  + core:
  - Fix problems that happen when parsing broken JBIG2 files.
    CVE-2009-0799, CVE-2009-0800, CVE-2009-1179, CVE-2009-1180,
    CVE-2009-1181, CVE-2009-1182, CVE-2009-1183, CVE-2009-1187,
    CVE-2009-1188
  - Fix parsing of incorrect border arrays. fdo#19761
  - Fix clip test for fonts. fdo#20950
  - Fix getGlyphAdvance to behave correctly on font size changes.
    fdo#20769
  - Misc build fixes
  + build system:
  - Fix the Qt4 version we need
* Mon Mar 30 2009 pgajdos@suse.cz
- poppler tools now provides and obsoletes xpdf-tools
* Tue Mar 24 2009 pgajdos@suse.cz
- disable hinting -- patch moved from xpdf splash copy to
  poppler's splash, reason:
    xpdf is going to use splash from poppler instead of own and
    unmaintained copy of splash. Without it, the xpdf rendering
    of pdf is very poor, when pdf font is small (e. g. document
    was zoomed out).
  * no-hinting.patch
* Sun Mar 15 2009 vuntz@novell.com
- Update to version 0.10.5:
  + core:
  - Read the UF entry if present and prefer it over F in Filespec
    dictionary
  - Fix typo that was making CairoOutputDev crash on some files.
    fdo#17337
  - Make JBIG2Stream more robust to corrupt input data
  - Do not blindly follow loops parsing OutlineItem. fdo#18364
  - Set up the error manager before calling
    jpeg_create_decompress. fdo#20484
  - Check there is an optional content config before using it.
    fdo#20587
  - Fix rendering of some PDF with OpenType fonts. fdo#20605
  + build system:
  - Yet more support for build on windows
  - Use AC_CHECK_HEADER to find headers. fdo#20538
  - Check for pkgconfig before using it
  - General autotools improvements
* Wed Feb 25 2009 vuntz@novell.com
- Remove autoreconf & libtool workaround: we have no reason to call
  autoreconf.
- Remove -fno-strict-aliasing from CXXFLAGS: it's not needed for
  the build.
- Remove -fstack-protector: it's a default flag now.
- Remove QTINC and QTLIB definition: it's not needed for the build.
* Mon Feb 23 2009 dmueller@suse.de
- use the distro provided libtool
* Wed Feb 11 2009 vuntz@novell.com
- Update to version 0.10.4:
  + core:
  - Fix a memory leak when asking for a document-level JS
  - Do not crash in some PDF we do not parse correctly.
    (fdo#19702)
  - Fix crash on unexepcted form Opt value. (fdo#19790)
  + utils:
  - Fix pdfimages to extract i color components per pixel jpeg
    images. (fdo#19789)
* Thu Feb  5 2009 vuntz@novell.com
- Update to version 0.10.3:
  + core:
  - Fix a crash on documents with malformed outline. fdo#19024
  - Fix leak on AnnotScreen destructor. fdo#19095
  - Fix wrong PS generation when a large image is in Patterns.
    fdo#18908
  - Remove BaseFile.h it was never used. fdo#19298
  - Improve document saving
  - Fix PS generation of PDF with malformed font Length2
    definition
  - Fix a leak while parsing annotations
  - Fix rendering of some checkboxes
  + Qt4:
  - Fix positioning of Form rects on PDF with cropbox
  - Fix positioning of Annotation rects on PDF with cropbox.
    fdo#18558.
  - Small documentation improvements
  - Make Document::fonts() work when called more than once.
    fdo#19405
  + build system:
  - CMake: look harder for openjpeg
  - CMake: update the poppler core headers installation
  - Autotools: do not install Function.cc as it's not a header
  + Qt:
  - Fix deserialization of links right coordinate
- Changes from version 0.10.2:
  + core:
  - Fix a crash when selecting text in word mode
  - Fix a crash in some malformed documents (second argument of
    opMarkPoint is not a dictionary)
  - Ensure cairo font matrix is invertable. Fixes fdo#18254 and
    fdo#18429
  - Fix a memory leak (fdo#18924)
  + Qt4:
  - Fix deserization of links right coordinate
  + misc:
  - Fix build on Solaris 10 + Sun Studio 12
  - Compile with -pedantic
* Mon Nov 24 2008 sbrabec@suse.cz
- Updated to version 0.10.1:
  * Improvements in Optional Content support
  * Small fixes in ActualText and Form support
  * Fixed memory leaks and crashes
  * Invalid rendering fixes
  * Do not try to save documents that have Encryption
  * Fix rendering regression on some fonts
  * Documentation improvements
  * Improve memory usage of the cairo renderer
  * Initial JavaScript support
  * Added a JPEG2000 decoder
  * Emulate Adobe Reader behaviour on documents with duplicate keys
    in Dictionaries
  * Annotation improvements
  * Add the possibility of extracting embedded fonts
  * Added -listenc to pdfinfo and pdftotext
* Fri Sep 12 2008 maw@suse.de
- Update to version 0.8.7:
  + Call error() when font loading fails
  + Be less strict parsing TTF tables (bfo#16940)
  + Fix crash due to uninitialized variable
  + Fix regression in Form rendering
  + Fix memory leak in the cairo backend
  + Qt 4 frontend:
  * Make the paper color setting working as it should
  * Make sure to use the correct page width/height for form
    widgets coordinates.
* Thu Aug 14 2008 sbrabec@suse.cz
- Updated to version 0.8.5:
  * Use a single global FT_Library in CairoOutputDev.
  * Do not limit CharCodeToUnicodeString to 8 characters
  * crash, bug and leak fixes
  * pdftohtml improvements
* Thu Jul 31 2008 dmueller@suse.de
- don't do poppler-devel rename for older distros
* Wed Jul  2 2008 maw@suse.de
- Add poppler-pagewidgets-null.patch (bnc#404955 and
  CVE-2008-2950).
* Wed Jun  4 2008 sbrabec@suse.cz
- Updated to version 0.8.2:
  * Add missing return in Object.h (fixes regression in 0.8.1)
- Backported annotation crash fixes from upstream (bnc#396634).
* Mon May 19 2008 maw@suse.de
- Provide pdftools_any in the -tools subpackage (bnc#378434).
* Mon May 12 2008 sbrabec@suse.cz
- Check for optional content before using it (bnc#389090,
  fdo#15899).
* Tue Apr 29 2008 sbrabec@suse.cz
- Updated to version 0.8.1:
  * Do not call FT_Done_Face on a live cairo_font_face_t as it
    might cause crashes
  * Do not take into account Colorspace resource subdictionary for
    image XObjects
  * Downsample 16 bit per component images to 8 bit per component
    so they render
  * Link to pthread when the system needs it
* Sat Apr 19 2008 schwab@suse.de
- Work around broken qt check.
* Fri Apr 11 2008 dmueller@suse.de
- remove obsoletes for older distros - it is just asking
  for trouble for buildservice users
* Thu Apr  3 2008 sbrabec@suse.cz
- Updated to version 0.8.0:
  * Public api changes
  * Many bug fixes
  * Better error handling
  * Check the document stream is seekable when opening it
  * Improve font matching not forcing default values onto
    Fontconfig
  * Add preliminary annotations support in the glib frontend
  * Initial Movie support in the core
  * Make GDK dependency optional in glib bindings
  * Really distribute CMake files as optional build tool
  * Initial Optional Content support in core and in the Qt4
    frontend
  * Saving support
  * Partial annotation support
  * Forms improvements
  * Add support for ActualText entries
  * Display characters outside of unicode BMP with TT font
  * CJK rendering fixes
  * Implement Adobe Glyph Naming convention for fonts
  * CMake as optional build tool
  * Better font scaling for non embedded fonts
  * Preserve PDF page labels when we output as postscript
* Thu Jan 31 2008 maw@suse.de
- Update to version 0.6.4:
  Qt4 frontend:
  * Fix crash on links that point to a non existant page
  * Make Document::renderHints return the correct render hints
  * Fix infinite loop when parsing LineAnnotation
  core:
  * Fix crash in the Splash renderer when T3 fonts are badly defined
  * Draw underlined Links correctly
  utils:
  * Fix two use after free bugs in HtmlOutputDev.cc
  build system:
  * Fix build on mingw32
  tests:
  * Distribute the glade file of pdf-inspector.
* Fri Jan 25 2008 maw@suse.de
- Update to version 0.6.3:
  + core:
  * Fix CVE-2007-4352, CVE-2007-5392 and CVE-2007-5393
  * Fix a crash on documents with wrong CCITTFaxStream
  * Fix a crash in the Cairo renderer with invalid embedded fonts
  * Fix a crash with invalid TrueType fonts
  * Check if font is inside the clip area before rendering
    it to a temporary bitmap in the Splash renderer. Fixes crashes
    on incorrect documents
  * Do not use exit(1) on DCTStream errors
  * Detect form fields at any depth level
  * Do not generate appearance stream for radio buttons that are
    not active
  * mingw fixes
  * Fix crash in extra debug code
  + glib frontend:
  * Make sure passwords are passed correctly to poppler core
  + Qt frontend:
  * Improved documentation
  * Fix crash on documents that specify an empty date
  + Misc build improvements
- Remove xpdf2-CVE-2007-4352.diff, xpdf2-CVE-2007-5392.diff,
  and xpdf2-CVE-2007-5393.diff, all of which have been upstreamed.
* Fri Jan 25 2008 stbinner@suse.de
- fix build on 10.2
* Mon Nov  5 2007 maw@suse.de
- Add xpdf2-CVE-2007-4352.diff, xpdf2-CVE-2007-5392.diff,
  and xpdf2-CVE-2007-5393.diff (#335637, CVE-2007-4352,
  CVE-2007-5392, and CVE-2007-5393).
* Wed Oct 31 2007 sbrabec@suse.cz
- Provide and obsolete poppler-doc (#338021).
* Tue Oct 23 2007 sbrabec@suse.cz
- Use split-provides. Obsoleting something another package provides
  creates a conflict between them.
* Tue Oct 23 2007 jpr@suse.de
- Updated to version 0.6.1:
  * Fix printing with different x and y scale
  * Fix crash when Form Fields array contains references to non
  existent objects
  * Fix crash in CairoOutputDev::drawMaskedImage()
  * Fix embedded file description not working on some cases
  * Fix printing issue with qt4
  * Avoid double free with qt4
  * Fix memory leak when dealing with embedded files in qt4
  * Fix build with --disable-cairo-output for glib
  * Do not return unknown field type for signature form fields for
  glib
  * Support automake-1.10
  * More compatible sh code in qt.m4
  * Fix build on Sun Studio compiler
- For libpoppler-qt3-devel, libpoppler-qt4-devel and
  libpoppler-glib-devel require libpoppler-devel not poppler-devel since
  for obsoletion reasons that is provided by those packages (#335567)
-Add gnome-common to the build requires to remove configure errors
* Thu Oct 11 2007 sbrabec@suse.cz
- Use less strict dependencies for shared libraries.
- poppler devel package names prepended by "lib".
- poppler-qt-devel renamed to libpoppler-qt3-devel
- Fixed poppler_spec-prepare.sh to not alter %%changes.
* Mon Oct  8 2007 sbrabec@suse.cz
- Updated to version 0.6:
  * CairoOutputDev fixes
  * Allow pdftoppm to read/write from stdin/stdout
  * API work on Qt4 frontend
  * Fix pdfimages produces inverted image for black & white image
  * Fix error on the NFKC text matching routine
  * Add support for word and line selections
  * Do not enforce %%%%EOF at the end of file
  * Pad zeroes instead of aborting when rendering 1-bit images
    and the stream is too short
  * Update glib bindings documentation
  * Merge xpdf 3.02 changes
  * Qt4 frontend is not marked anymore as unstable
  * Support for Sound objects
  * Support for Opening/Closing page actions
  * Support for page duration
  * Improve PS Tokenizer performance thanks
  * Various speed ups
  * Beginning of Interactive Form support
  * xpdfrc is no longer used for anything
  * Add AbiWord output device and pdftoabw program
  * Fix security issue MOAB-06-01-2007
  * Lots of bugs fixed
- Rename packages according to shared library naming policy.
- Make devel packages binding specific to deliver correct
  dependencies (#249436).
* Sat Mar 10 2007 dmueller@suse.de
- remove now broken .la files from devel package
  to fix build of all depending packages
* Mon Mar  5 2007 sbrabec@suse.cz
- Fixed devel dependencies (#249436).
- Removed some devel dependencies to force less to install.
* Mon Feb  5 2007 werner@suse.de
- Simplify usage of class UGooString
* Fri Jan 19 2007 maw@suse.de
- Add poppler-PageTree-depth-CVE-2007-0104.patch, fixing an
  infinite loop in page tree (#233133 and CVE-2007-0104).
* Mon Jan 15 2007 dmueller@suse.de
- don't build static libs
* Fri Jan 12 2007 dmueller@suse.de
- fix pedantic warnings in qt4 headers
* Tue Jan  2 2007 sbrabec@suse.cz
- Fixed qt detection (#229896).
- Fixed dependencies.
- Reverted poppler-qt3 back to poppler-qt (#229896).
* Fri Dec 29 2006 james@usr-local-bin.org
- New subpackage: poppler-qt4
- Rename poppler-qt to be poppler-qt3
* Sat Dec 23 2006 james@usr-local-bin.org
- Add wildcard to use QT3 and QT4 bindings
* Tue Dec 19 2006 sbrabec@suse.cz
- Spec file cleanup.
- Splitted poppler-doc from poppler.
* Thu Oct 26 2006 jhargadon@suse.de
- added --sysconfdir=/etc option to ./configure in the specfile
  as another part of the fix for bug #201739
* Wed Oct  4 2006 jhargadon@suse.de
- moved man pages to the poppler-tools subpackage [#201739]
* Wed Sep 27 2006 jhargadon@suse.de
- update to version 0.5.4
- Automatically read in CJK encoding files if they're installed
- Speed ups
- Patch from Dom Lachowicz to let the utils take input on stdin
- many bug fixes
* Mon Sep  4 2006 sbrabec@suse.cz
- Define conflict poppler-tools x xpdf-tools (#201739#c4).
* Thu Aug 31 2006 sbrabec@suse.cz
- Created poppler-tools providing xpdf-tools (#201739).
- Enabled parallel build.
* Fri Jul  7 2006 aj@suse.de
- Add back missing headers.
* Thu Jul  6 2006 gekker@suse.de
- Update to version 0.5.3
- Remove upstreamed patches
* Tue Jun 13 2006 gekker@suse.de
- Fix evince crasher when selecting text (#152780)
* Thu Mar 23 2006 sbrabec@suse.cz
- Display CJK with cairo correctly (Mandriva patch, #160230).
- Fixed devel dependencies.
* Tue Feb  7 2006 sbrabec@suse.cz
- Fixed SplashXPathScanner heap overflow (#141242, CVE-2006-0301).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 nadvornik@suse.cz
- updated to 0.4.4
- security patches merged upstream
* Mon Jan 16 2006 meissner@suse.de
- added -fno-strict-aliasing.
* Mon Jan 16 2006 meissner@suse.de
- use -fstack-protector.
* Wed Jan 11 2006 sbrabec@suse.cz
- Removed libpixman from neededforbuild.
* Thu Dec 15 2005 sbrabec@suse.cz
- Fixed more xpdf overflows and signed integer multiplications
  (Chris Evans, Martin Pitt, #137156).
* Wed Dec  7 2005 sbrabec@suse.cz
- Xpdf heap owerflow fixes (#137156, CAN-2005-3191, CAN-2005-3192,
  CAN-2005-3193).
* Mon Oct 24 2005 stbinner@suse.de
- remove remaining extra qualifications
* Tue Oct 18 2005 dmueller@suse.de
- fix extra qualifications in installed headers
* Fri Sep  2 2005 gekker@suse.de
- Update to version 0.4.2
- Fixes to work with new cairo version
- Required by evince update for GNOME 2.12
* Thu Aug 18 2005 gekker@suse.de
- Update to version 0.4.0
- Remove uptreamed patchs
* Thu Jul 21 2005 gekker@suse.de
- Update to version 0.3.3
* Mon Jun 27 2005 meissner@suse.de
- supply format attributes.
* Wed Jun  1 2005 sbrabec@suse.cz
-  Fixed pkgconfig file.
* Tue May 24 2005 sbrabec@suse.cz
- Updated to version 0.3.2.
* Mon May 23 2005 sbrabec@suse.cz
- Split poppler-glib to subpackage.
* Sun May 22 2005 aj@suse.de
- Fix build with GCC4.
* Mon May  9 2005 sbrabec@suse.cz
- New SuSE package, version 0.3.1.
